//---------------------------------------------------------------------------

#ifndef DevicesH
#define DevicesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "NCTAUDIOEDITOR2Lib_OCX.h"
//---------------------------------------------------------------------------
#define max(a, b)  (((a) > (b)) ? (a) : (b))  

class TfrmDevices : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TComboBox *Device;
    TPanel *Panel1;
    void __fastcall DeviceClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:	// User declarations
    void SetSrcOutput(void);
public:		// User declarations
    __fastcall TfrmDevices(TComponent* Owner);
    void __fastcall TrackBarChange(TObject *Sender);
    void __fastcall BalanceTrackBarChange(TObject *Sender);
    void __fastcall SrcSelectChange(TObject *Sender);
    void __fastcall AdvClick(TObject *Sender);
    IAudioEditor2DevicePtr Dev;
    AnsiString srcCap;
    bool flg;
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmDevices *frmDevices;
//---------------------------------------------------------------------------
#endif
