//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <OleCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include "NCTAUDIOEDITOR2Lib_OCX.h"
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
    TCoolBar *CoolBar1;
    TToolBar *ToolBar1;
    TToolButton *btnNew;
    TToolButton *btnOpen;
    TToolButton *btnSave;
    TToolButton *ToolButton5;
    TToolButton *btnOptions;
    TToolButton *ToolButton7;
    TToolButton *btnCopy;
    TToolButton *btnCut;
    TToolButton *btnPaste;
    TToolButton *btnPasteMix;
    TToolButton *ToolButton12;
    TToolButton *btnUndo;
    TToolButton *btnRedo;
    TToolButton *ToolButton15;
    TToolButton *btnZoomIn;
    TToolButton *btnZoomOut;
    TToolButton *btnZoomFull;
    TToolButton *ToolButton19;
    TToolButton *btnPlay;
    TToolButton *btnPlayEnd;
    TToolButton *btnPlayLoop;
    TToolButton *btnRecord;
    TToolButton *btnPause;
    TToolButton *btnContinue;
    TToolButton *btnStop;
    TToolButton *ToolButton27;
    TToolButton *btnLChannel;
    TToolButton *btnRChannel;
    TToolButton *ToolButton30;
    TToolButton *btnAGC;
    TToolBar *ToolBar2;
    TToolButton *btnInvert;
    TToolButton *btnDeleteSilence;
    TToolButton *btnAmplifyPlus;
    TToolButton *btnAmplifyMinus;
    TToolButton *btnFadeIn;
    TToolButton *btnFadeOut;
    TToolButton *btnNormalize;
    TToolButton *ToolButton39;
    TToolButton *btnFlanger;
    TToolButton *btnVibrato;
    TToolButton *btnDelay;
    TToolButton *ToolButton43;
    TToolButton *btnNF;
    TToolButton *btnBPF;
    TToolButton *btnHPF;
    TToolButton *btnLPF;
    TToolButton *btnHSF;
    TToolButton *btnLSF;
    TToolButton *btnFFT;
    TToolButton *ToolButton52;
    TToolButton *btnInserSilence;
    TMainMenu *MainMenu1;
    TMenuItem *mnuFile;
    TMenuItem *mnuNew;
    TMenuItem *mnuOpen;
    TMenuItem *N1;
    TMenuItem *mnuConvertSampleType;
    TMenuItem *N2;
    TMenuItem *mnuSaveAs;
    TMenuItem *mnuSaveSelectAs;
    TMenuItem *N3;
    TMenuItem *mnuExit;
    TStatusBar *StatusBar1;
    TProgressBar *ProgressBar1;
    TProgressBar *ProgressBar2;
    TImageList *ImageList1;
    TImageList *ImageList2;
    TOpenDialog *OpenDialog1;
    TSaveDialog *SaveDialog1;
    TMenuItem *mnuView;
    TMenuItem *mnuWaveFormView;
    TMenuItem *mnuSpectralView;
    TMenuItem *N4;
    TMenuItem *mnuInfoList;
    TMenuItem *mnuMarkerList;
    TMenuItem *mnuEdit;
    TMenuItem *mnuCopy;
    TMenuItem *mnuCut;
    TMenuItem *mnuPaste;
    TMenuItem *nmuPasteFromFile;
    TMenuItem *N5;
    TMenuItem *mnuCopytoWindowsClipboard;
    TMenuItem *mnuPastefromWindowsClipboard;
    TMenuItem *N6;
    TMenuItem *mnuMix;
    TMenuItem *mnuMixFromFile;
    TMenuItem *N7;
    TMenuItem *mnuInsertSilence;
    TMenuItem *mnuDeleteSilence;
    TMenuItem *mnuOperation;
    TMenuItem *mnuAmplifyPlus;
    TMenuItem *mnuAmplifyMinus;
    TMenuItem *mnuFadeIn;
    TMenuItem *mnuFadeOut;
    TMenuItem *mnuNormalize;
    TMenuItem *N8;
    TMenuItem *mnuInvert;
    TMenuItem *mnuFlanger;
    TMenuItem *mnuDelay;
    TMenuItem *mnuVibrato;
    TMenuItem *N9;
    TMenuItem *mnuStretchPlus;
    TMenuItem *mnuStretchMinus;
    TMenuItem *mnuFilters;
    TMenuItem *mnuNotch;
    TMenuItem *mnuBandPass;
    TMenuItem *mnuLowPass;
    TMenuItem *mnuHighPass;
    TMenuItem *mnuHighShelf;
    TMenuItem *mnuLowShelf;
    TMenuItem *mnuFFT;
    TMenuItem *mnuHelp;
    TMenuItem *mnuAbout;
    TMenuItem *mnuInputDevice;
    TMenuItem *mnuOutputDevice;
    TMenuItem *N10;
    TMenuItem *mnuOptions;
    TMenuItem *Tools1;
    TAudioEditor2 *AudioEditor1;
    void __fastcall btnOpenClick(TObject *Sender);
    void __fastcall btnContinueClick(TObject *Sender);
    void __fastcall btnPauseClick(TObject *Sender);
    void __fastcall btnZoomFullClick(TObject *Sender);
    void __fastcall btnRecordClick(TObject *Sender);
    void __fastcall btnStopClick(TObject *Sender);
    void __fastcall btnPlayClick(TObject *Sender);
    void __fastcall btnPlayEndClick(TObject *Sender);
    void __fastcall btnPlayLoopClick(TObject *Sender);
    void __fastcall btnUndoClick(TObject *Sender);
    void __fastcall btnRedoClick(TObject *Sender);
    void __fastcall btnCopyClick(TObject *Sender);
    void __fastcall btnCutClick(TObject *Sender);
    void __fastcall btnPasteClick(TObject *Sender);
    void __fastcall btnPasteMixClick(TObject *Sender);
    void __fastcall btnNewClick(TObject *Sender);
    void __fastcall btnSaveClick(TObject *Sender);
    void __fastcall btnZoomInClick(TObject *Sender);
    void __fastcall btnZoomOutClick(TObject *Sender);
    void __fastcall AudioEditor1Meter(TObject *Sender, long LevelLeft, long LevelRight);
    void __fastcall AudioEditor1ScaleXClick(TObject *Sender);
    void __fastcall AudioEditor1ScaleYClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall AudioEditor1ChangePosition(TObject *Sender);
    void __fastcall btnDelayClick(TObject *Sender);
    void __fastcall btnBPFClick(TObject *Sender);
    void __fastcall btnVibratoClick(TObject *Sender);
    void __fastcall btnLSFClick(TObject *Sender);
    void __fastcall btnLPFClick(TObject *Sender);
    void __fastcall btnHSFClick(TObject *Sender);
    void __fastcall btnHPFClick(TObject *Sender);
    void __fastcall btnInserSilenceClick(TObject *Sender);
    void __fastcall btnNFClick(TObject *Sender);
    void __fastcall btnFlangerClick(TObject *Sender);
    void __fastcall btnAmplifyMinusClick(TObject *Sender);
    void __fastcall btnAmplifyPlusClick(TObject *Sender);
    void __fastcall btnDeleteSilenceClick(TObject *Sender);
    void __fastcall btnInvertClick(TObject *Sender);
    void __fastcall btnFadeOutClick(TObject *Sender);
    void __fastcall btnFadeInClick(TObject *Sender);
    void __fastcall btnNormalizeClick(TObject *Sender);
    void __fastcall btnFFTClick(TObject *Sender);
    void __fastcall btnAGCClick(TObject *Sender);
    void __fastcall mnuSaveSelectAsClick(TObject *Sender);
    void __fastcall mnuWaveFormViewClick(TObject *Sender);
    void __fastcall mnuSpectralViewClick(TObject *Sender);
    void __fastcall mnuCopytoWindowsClipboardClick(TObject *Sender);
    void __fastcall mnuPastefromWindowsClipboardClick(TObject *Sender);
    void __fastcall nmuPasteFromFileClick(TObject *Sender);
    void __fastcall mnuMixFromFileClick(TObject *Sender);
    void __fastcall mnuExitClick(TObject *Sender);
    void __fastcall mnuStretchPlusClick(TObject *Sender);
    void __fastcall mnuStretchMinusClick(TObject *Sender);
    void __fastcall btnLChannelClick(TObject *Sender);
    void __fastcall mnuInfoListClick(TObject *Sender);
    void __fastcall mnuMarkerListClick(TObject *Sender);
    void __fastcall mnuConvertSampleTypeClick(TObject *Sender);
    void __fastcall mnuInputDeviceClick(TObject *Sender);
    void __fastcall mnuOutputDeviceClick(TObject *Sender);
    void __fastcall btnOptionsClick(TObject *Sender);
    void __fastcall mnuAboutClick(TObject *Sender);
    void __fastcall AudioEditor1BlockOperation(TObject *Sender,
          short Percent);
    void __fastcall AudioEditor1EndOperation(TObject *Sender);
private:
    void SetPosition(void);
    void SetParam(void);	// User declarations
public:		// User declarations
    __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
