using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace TestCSAudioEditor2
{
	public class formTestAE : System.Windows.Forms.Form
	{
		internal System.Windows.Forms.GroupBox frmControl;
		internal System.Windows.Forms.GroupBox frmDevInput;
		internal System.Windows.Forms.GroupBox frmSrcInput;
		internal System.Windows.Forms.CheckBox chInpSelect;
		internal System.Windows.Forms.ComboBox cmbSrcInput;
		internal System.Windows.Forms.TrackBar trInpVolume;
		internal System.Windows.Forms.TrackBar trInpVolBalance;
		internal System.Windows.Forms.ComboBox cmbDeviceInput;
		internal System.Windows.Forms.GroupBox frmDevOutput;
		internal System.Windows.Forms.GroupBox frmSrcOutput;
		internal System.Windows.Forms.CheckBox chOutSelect;
		internal System.Windows.Forms.ComboBox cmbSrcOutput;
		internal System.Windows.Forms.TrackBar trOutVolume;
		internal System.Windows.Forms.TrackBar trOutVolBalance;
		internal System.Windows.Forms.ComboBox cmbDeviceOutput;
		public System.Windows.Forms.GroupBox frmSelect;
		internal System.Windows.Forms.NumericUpDown udSelStart;
		internal System.Windows.Forms.NumericUpDown udSelEnd;
		public System.Windows.Forms.CheckBox chSelect;
		public System.Windows.Forms.GroupBox frmZoom;
		internal System.Windows.Forms.NumericUpDown udZHend;
		internal System.Windows.Forms.NumericUpDown udZHstart;
		internal System.Windows.Forms.NumericUpDown udZoomV;
		public System.Windows.Forms.Label lblVertical;
		public System.Windows.Forms.Label lblHorizontal;
		internal System.Windows.Forms.ImageList ImageList2;
		internal System.Windows.Forms.ImageList ImageList1;
		internal System.Windows.Forms.MainMenu mnuMain;
		internal System.Windows.Forms.MenuItem mnuFile;
		internal System.Windows.Forms.MenuItem mnuNew;
		internal System.Windows.Forms.MenuItem mnuOpen;
		internal System.Windows.Forms.MenuItem mnu1;
		internal System.Windows.Forms.MenuItem mnuConvert;
		internal System.Windows.Forms.MenuItem mnu2;
		internal System.Windows.Forms.MenuItem mnuSave;
		internal System.Windows.Forms.MenuItem mnuSaveSelect;
		internal System.Windows.Forms.MenuItem mnu3;
		internal System.Windows.Forms.MenuItem mnuExit;
		internal System.Windows.Forms.MenuItem mnuView;
		internal System.Windows.Forms.MenuItem mnuViewWaveForm;
		internal System.Windows.Forms.MenuItem mnuViewSpectral;
		internal System.Windows.Forms.MenuItem MenuItem1;
		internal System.Windows.Forms.MenuItem mnuInfo;
		internal System.Windows.Forms.MenuItem mnuMarkers;
		internal System.Windows.Forms.MenuItem mnuEdit;
		internal System.Windows.Forms.MenuItem mnuCopy;
		internal System.Windows.Forms.MenuItem mnuCut;
		internal System.Windows.Forms.MenuItem mnuPaste;
		internal System.Windows.Forms.MenuItem mnuPasteFile;
		internal System.Windows.Forms.MenuItem mnu4;
		internal System.Windows.Forms.MenuItem mnuCopyWin;
		internal System.Windows.Forms.MenuItem mnuPasteWin;
		internal System.Windows.Forms.MenuItem mnu5;
		internal System.Windows.Forms.MenuItem mnuMix;
		internal System.Windows.Forms.MenuItem mnuMixFile;
		internal System.Windows.Forms.MenuItem mnu6;
		internal System.Windows.Forms.MenuItem mnuInsertSil;
		internal System.Windows.Forms.MenuItem mnuDeleteSil;
		internal System.Windows.Forms.MenuItem mnuPlayback;
		internal System.Windows.Forms.MenuItem mnuPlay;
		internal System.Windows.Forms.MenuItem mnuPlayEnd;
		internal System.Windows.Forms.MenuItem mnuPlayLoop;
		internal System.Windows.Forms.MenuItem mnu7;
		internal System.Windows.Forms.MenuItem mnuRecord;
		internal System.Windows.Forms.MenuItem mnu8;
		internal System.Windows.Forms.MenuItem mnuPause;
		internal System.Windows.Forms.MenuItem mnuContinue;
		internal System.Windows.Forms.MenuItem mnu9;
		internal System.Windows.Forms.MenuItem mnuSop;
		internal System.Windows.Forms.OpenFileDialog OpenFileDialog1;
		internal System.Windows.Forms.SaveFileDialog SaveFileDialog1;
		internal System.Windows.Forms.ToolBar ToolBar2;
		internal System.Windows.Forms.ToolBarButton butAmp1;
		internal System.Windows.Forms.ToolBarButton butAmp2;
		internal System.Windows.Forms.ToolBarButton butInvert;
		internal System.Windows.Forms.ToolBarButton butFadeIn;
		internal System.Windows.Forms.ToolBarButton butFadeOut;
		internal System.Windows.Forms.ToolBarButton butSilence;
		internal System.Windows.Forms.ToolBarButton butNormalize;
		internal System.Windows.Forms.ToolBarButton sep7;
		internal System.Windows.Forms.ToolBarButton butInsSilence;
		internal System.Windows.Forms.ToolBarButton burDelSilence;
		internal System.Windows.Forms.ToolBarButton sep8;
		internal System.Windows.Forms.ToolBarButton butDelay;
		internal System.Windows.Forms.ToolBarButton butFlanger;
		internal System.Windows.Forms.ToolBarButton butVibrato;
		internal System.Windows.Forms.ToolBarButton butReverse;
		internal System.Windows.Forms.ToolBarButton butCompressor;
		internal System.Windows.Forms.ToolBarButton sep9;
		internal System.Windows.Forms.ToolBarButton butNotchFilter;
		internal System.Windows.Forms.ToolBarButton butBPF;
		internal System.Windows.Forms.ToolBarButton butLPF;
		internal System.Windows.Forms.ToolBarButton butLSF;
		internal System.Windows.Forms.ToolBarButton butHPF;
		internal System.Windows.Forms.ToolBarButton butHSF;
		internal System.Windows.Forms.ToolBarButton sep10;
		internal System.Windows.Forms.ToolBarButton butStretch;
		internal System.Windows.Forms.ToolBarButton sep11;
		internal System.Windows.Forms.ToolBarButton butAnalize;
		internal System.Windows.Forms.ToolBar ToolBar1;
		internal System.Windows.Forms.ToolBarButton butNew;
		internal System.Windows.Forms.ToolBarButton butOpen;
		internal System.Windows.Forms.ToolBarButton butSave;
		internal System.Windows.Forms.ToolBarButton butClose;
		internal System.Windows.Forms.ToolBarButton sep1;
		internal System.Windows.Forms.ToolBarButton butProperty;
		internal System.Windows.Forms.ToolBarButton sep2;
		internal System.Windows.Forms.ToolBarButton butCopy;
		internal System.Windows.Forms.ToolBarButton butCut;
		internal System.Windows.Forms.ToolBarButton butPaste;
		internal System.Windows.Forms.ToolBarButton butMix;
		internal System.Windows.Forms.ToolBarButton sep3;
		internal System.Windows.Forms.ToolBarButton butUndo;
		internal System.Windows.Forms.ToolBarButton butRedo;
		internal System.Windows.Forms.ToolBarButton sep4;
		internal System.Windows.Forms.ToolBarButton butZoomIn;
		internal System.Windows.Forms.ToolBarButton butZoomOut;
		internal System.Windows.Forms.ToolBarButton butZoomFull;
		internal System.Windows.Forms.ToolBarButton sep5;
		internal System.Windows.Forms.ToolBarButton butPlay;
		internal System.Windows.Forms.ToolBarButton butPlayToEnd;
		internal System.Windows.Forms.ToolBarButton butPlayLoop;
		internal System.Windows.Forms.ToolBarButton butRecord;
		internal System.Windows.Forms.ToolBarButton butPause;
		internal System.Windows.Forms.ToolBarButton butContinue;
		internal System.Windows.Forms.ToolBarButton butStop;
		internal System.Windows.Forms.ToolBarButton sep6;
		internal System.Windows.Forms.ToolBarButton ChannelLeft;
		internal System.Windows.Forms.ToolBarButton ChannelRight;
		internal System.Windows.Forms.ToolBarButton sep12;
		internal System.Windows.Forms.ToolBarButton bupAGC;
		internal System.Windows.Forms.GroupBox frmMeter;
		internal System.Windows.Forms.ProgressBar Progress2;
		internal System.Windows.Forms.ProgressBar Progress1;
		internal System.Windows.Forms.StatusBar StatusBar;
		internal System.Windows.Forms.StatusBarPanel StatusBarPanel1;
		internal System.Windows.Forms.StatusBarPanel StatusBarPanel2;
		internal System.Windows.Forms.StatusBarPanel StatusBarPanel3;
		internal System.Windows.Forms.StatusBarPanel StatusBarPanel4;
		internal System.Windows.Forms.StatusBarPanel StatusBarPanel5;
		internal System.Windows.Forms.StatusBarPanel StatusBarPanel6;
		internal System.Windows.Forms.StatusBarPanel StatusBarPanel7;
		internal System.Windows.Forms.Panel formProgress;
		internal System.Windows.Forms.Label lblProgress;
		internal System.Windows.Forms.Button cmdCancel;
		internal System.Windows.Forms.ProgressBar Progress;
		private System.Windows.Forms.Timer timer1;
		public AxNCTAUDIOEDITOR2Lib.AxAudioEditor2 AudioEditor;
		private System.Windows.Forms.Button btnOutAdvanced;
		private System.Windows.Forms.Button btnInpAdvanced;
		private System.ComponentModel.IContainer components;

		public formTestAE()
		{
			InitializeComponent();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(formTestAE));
			this.frmControl = new System.Windows.Forms.GroupBox();
			this.frmDevInput = new System.Windows.Forms.GroupBox();
			this.frmSrcInput = new System.Windows.Forms.GroupBox();
			this.btnInpAdvanced = new System.Windows.Forms.Button();
			this.chInpSelect = new System.Windows.Forms.CheckBox();
			this.cmbSrcInput = new System.Windows.Forms.ComboBox();
			this.trInpVolume = new System.Windows.Forms.TrackBar();
			this.trInpVolBalance = new System.Windows.Forms.TrackBar();
			this.cmbDeviceInput = new System.Windows.Forms.ComboBox();
			this.frmDevOutput = new System.Windows.Forms.GroupBox();
			this.frmSrcOutput = new System.Windows.Forms.GroupBox();
			this.btnOutAdvanced = new System.Windows.Forms.Button();
			this.chOutSelect = new System.Windows.Forms.CheckBox();
			this.cmbSrcOutput = new System.Windows.Forms.ComboBox();
			this.trOutVolume = new System.Windows.Forms.TrackBar();
			this.trOutVolBalance = new System.Windows.Forms.TrackBar();
			this.cmbDeviceOutput = new System.Windows.Forms.ComboBox();
			this.frmSelect = new System.Windows.Forms.GroupBox();
			this.udSelStart = new System.Windows.Forms.NumericUpDown();
			this.udSelEnd = new System.Windows.Forms.NumericUpDown();
			this.chSelect = new System.Windows.Forms.CheckBox();
			this.frmZoom = new System.Windows.Forms.GroupBox();
			this.udZHend = new System.Windows.Forms.NumericUpDown();
			this.udZHstart = new System.Windows.Forms.NumericUpDown();
			this.udZoomV = new System.Windows.Forms.NumericUpDown();
			this.lblVertical = new System.Windows.Forms.Label();
			this.lblHorizontal = new System.Windows.Forms.Label();
			this.ImageList2 = new System.Windows.Forms.ImageList(this.components);
			this.ImageList1 = new System.Windows.Forms.ImageList(this.components);
			this.mnuMain = new System.Windows.Forms.MainMenu();
			this.mnuFile = new System.Windows.Forms.MenuItem();
			this.mnuNew = new System.Windows.Forms.MenuItem();
			this.mnuOpen = new System.Windows.Forms.MenuItem();
			this.mnu1 = new System.Windows.Forms.MenuItem();
			this.mnuConvert = new System.Windows.Forms.MenuItem();
			this.mnu2 = new System.Windows.Forms.MenuItem();
			this.mnuSave = new System.Windows.Forms.MenuItem();
			this.mnuSaveSelect = new System.Windows.Forms.MenuItem();
			this.mnu3 = new System.Windows.Forms.MenuItem();
			this.mnuExit = new System.Windows.Forms.MenuItem();
			this.mnuView = new System.Windows.Forms.MenuItem();
			this.mnuViewWaveForm = new System.Windows.Forms.MenuItem();
			this.mnuViewSpectral = new System.Windows.Forms.MenuItem();
			this.MenuItem1 = new System.Windows.Forms.MenuItem();
			this.mnuInfo = new System.Windows.Forms.MenuItem();
			this.mnuMarkers = new System.Windows.Forms.MenuItem();
			this.mnuEdit = new System.Windows.Forms.MenuItem();
			this.mnuCopy = new System.Windows.Forms.MenuItem();
			this.mnuCut = new System.Windows.Forms.MenuItem();
			this.mnuPaste = new System.Windows.Forms.MenuItem();
			this.mnuPasteFile = new System.Windows.Forms.MenuItem();
			this.mnu4 = new System.Windows.Forms.MenuItem();
			this.mnuCopyWin = new System.Windows.Forms.MenuItem();
			this.mnuPasteWin = new System.Windows.Forms.MenuItem();
			this.mnu5 = new System.Windows.Forms.MenuItem();
			this.mnuMix = new System.Windows.Forms.MenuItem();
			this.mnuMixFile = new System.Windows.Forms.MenuItem();
			this.mnu6 = new System.Windows.Forms.MenuItem();
			this.mnuInsertSil = new System.Windows.Forms.MenuItem();
			this.mnuDeleteSil = new System.Windows.Forms.MenuItem();
			this.mnuPlayback = new System.Windows.Forms.MenuItem();
			this.mnuPlay = new System.Windows.Forms.MenuItem();
			this.mnuPlayEnd = new System.Windows.Forms.MenuItem();
			this.mnuPlayLoop = new System.Windows.Forms.MenuItem();
			this.mnu7 = new System.Windows.Forms.MenuItem();
			this.mnuRecord = new System.Windows.Forms.MenuItem();
			this.mnu8 = new System.Windows.Forms.MenuItem();
			this.mnuPause = new System.Windows.Forms.MenuItem();
			this.mnuContinue = new System.Windows.Forms.MenuItem();
			this.mnu9 = new System.Windows.Forms.MenuItem();
			this.mnuSop = new System.Windows.Forms.MenuItem();
			this.OpenFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.SaveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
			this.ToolBar2 = new System.Windows.Forms.ToolBar();
			this.butAmp1 = new System.Windows.Forms.ToolBarButton();
			this.butAmp2 = new System.Windows.Forms.ToolBarButton();
			this.butInvert = new System.Windows.Forms.ToolBarButton();
			this.butFadeIn = new System.Windows.Forms.ToolBarButton();
			this.butFadeOut = new System.Windows.Forms.ToolBarButton();
			this.butSilence = new System.Windows.Forms.ToolBarButton();
			this.butNormalize = new System.Windows.Forms.ToolBarButton();
			this.sep7 = new System.Windows.Forms.ToolBarButton();
			this.butInsSilence = new System.Windows.Forms.ToolBarButton();
			this.burDelSilence = new System.Windows.Forms.ToolBarButton();
			this.sep8 = new System.Windows.Forms.ToolBarButton();
			this.butDelay = new System.Windows.Forms.ToolBarButton();
			this.butFlanger = new System.Windows.Forms.ToolBarButton();
			this.butVibrato = new System.Windows.Forms.ToolBarButton();
			this.butReverse = new System.Windows.Forms.ToolBarButton();
			this.butCompressor = new System.Windows.Forms.ToolBarButton();
			this.sep9 = new System.Windows.Forms.ToolBarButton();
			this.butNotchFilter = new System.Windows.Forms.ToolBarButton();
			this.butBPF = new System.Windows.Forms.ToolBarButton();
			this.butLPF = new System.Windows.Forms.ToolBarButton();
			this.butLSF = new System.Windows.Forms.ToolBarButton();
			this.butHPF = new System.Windows.Forms.ToolBarButton();
			this.butHSF = new System.Windows.Forms.ToolBarButton();
			this.sep10 = new System.Windows.Forms.ToolBarButton();
			this.butStretch = new System.Windows.Forms.ToolBarButton();
			this.sep11 = new System.Windows.Forms.ToolBarButton();
			this.butAnalize = new System.Windows.Forms.ToolBarButton();
			this.ToolBar1 = new System.Windows.Forms.ToolBar();
			this.butNew = new System.Windows.Forms.ToolBarButton();
			this.butOpen = new System.Windows.Forms.ToolBarButton();
			this.butSave = new System.Windows.Forms.ToolBarButton();
			this.butClose = new System.Windows.Forms.ToolBarButton();
			this.sep1 = new System.Windows.Forms.ToolBarButton();
			this.butProperty = new System.Windows.Forms.ToolBarButton();
			this.sep2 = new System.Windows.Forms.ToolBarButton();
			this.butCopy = new System.Windows.Forms.ToolBarButton();
			this.butCut = new System.Windows.Forms.ToolBarButton();
			this.butPaste = new System.Windows.Forms.ToolBarButton();
			this.butMix = new System.Windows.Forms.ToolBarButton();
			this.sep3 = new System.Windows.Forms.ToolBarButton();
			this.butUndo = new System.Windows.Forms.ToolBarButton();
			this.butRedo = new System.Windows.Forms.ToolBarButton();
			this.sep4 = new System.Windows.Forms.ToolBarButton();
			this.butZoomIn = new System.Windows.Forms.ToolBarButton();
			this.butZoomOut = new System.Windows.Forms.ToolBarButton();
			this.butZoomFull = new System.Windows.Forms.ToolBarButton();
			this.sep5 = new System.Windows.Forms.ToolBarButton();
			this.butPlay = new System.Windows.Forms.ToolBarButton();
			this.butPlayToEnd = new System.Windows.Forms.ToolBarButton();
			this.butPlayLoop = new System.Windows.Forms.ToolBarButton();
			this.butRecord = new System.Windows.Forms.ToolBarButton();
			this.butPause = new System.Windows.Forms.ToolBarButton();
			this.butContinue = new System.Windows.Forms.ToolBarButton();
			this.butStop = new System.Windows.Forms.ToolBarButton();
			this.sep6 = new System.Windows.Forms.ToolBarButton();
			this.ChannelLeft = new System.Windows.Forms.ToolBarButton();
			this.ChannelRight = new System.Windows.Forms.ToolBarButton();
			this.sep12 = new System.Windows.Forms.ToolBarButton();
			this.bupAGC = new System.Windows.Forms.ToolBarButton();
			this.frmMeter = new System.Windows.Forms.GroupBox();
			this.Progress2 = new System.Windows.Forms.ProgressBar();
			this.Progress1 = new System.Windows.Forms.ProgressBar();
			this.StatusBar = new System.Windows.Forms.StatusBar();
			this.StatusBarPanel1 = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanel2 = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanel3 = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanel4 = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanel5 = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanel6 = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanel7 = new System.Windows.Forms.StatusBarPanel();
			this.formProgress = new System.Windows.Forms.Panel();
			this.lblProgress = new System.Windows.Forms.Label();
			this.cmdCancel = new System.Windows.Forms.Button();
			this.Progress = new System.Windows.Forms.ProgressBar();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.AudioEditor = new AxNCTAUDIOEDITOR2Lib.AxAudioEditor2();
			this.frmControl.SuspendLayout();
			this.frmDevInput.SuspendLayout();
			this.frmSrcInput.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.trInpVolume)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.trInpVolBalance)).BeginInit();
			this.frmDevOutput.SuspendLayout();
			this.frmSrcOutput.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.trOutVolume)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.trOutVolBalance)).BeginInit();
			this.frmSelect.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.udSelStart)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udSelEnd)).BeginInit();
			this.frmZoom.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.udZHend)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udZHstart)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udZoomV)).BeginInit();
			this.frmMeter.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel2)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel3)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel4)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel5)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel6)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel7)).BeginInit();
			this.formProgress.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.AudioEditor)).BeginInit();
			this.SuspendLayout();
			// 
			// frmControl
			// 
			this.frmControl.Anchor = (System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right);
			this.frmControl.Controls.AddRange(new System.Windows.Forms.Control[] {
																					 this.frmDevInput,
																					 this.frmDevOutput,
																					 this.frmSelect,
																					 this.frmZoom});
			this.frmControl.Location = new System.Drawing.Point(688, 52);
			this.frmControl.Name = "frmControl";
			this.frmControl.Size = new System.Drawing.Size(216, 420);
			this.frmControl.TabIndex = 43;
			this.frmControl.TabStop = false;
			// 
			// frmDevInput
			// 
			this.frmDevInput.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.frmSrcInput,
																					  this.cmbDeviceInput});
			this.frmDevInput.Location = new System.Drawing.Point(112, 12);
			this.frmDevInput.Name = "frmDevInput";
			this.frmDevInput.Size = new System.Drawing.Size(96, 268);
			this.frmDevInput.TabIndex = 38;
			this.frmDevInput.TabStop = false;
			this.frmDevInput.Text = "Input";
			// 
			// frmSrcInput
			// 
			this.frmSrcInput.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.btnInpAdvanced,
																					  this.chInpSelect,
																					  this.cmbSrcInput,
																					  this.trInpVolume,
																					  this.trInpVolBalance});
			this.frmSrcInput.Location = new System.Drawing.Point(9, 40);
			this.frmSrcInput.Name = "frmSrcInput";
			this.frmSrcInput.Size = new System.Drawing.Size(80, 224);
			this.frmSrcInput.TabIndex = 35;
			this.frmSrcInput.TabStop = false;
			this.frmSrcInput.Text = "Source";
			// 
			// btnInpAdvanced
			// 
			this.btnInpAdvanced.Location = new System.Drawing.Point(6, 192);
			this.btnInpAdvanced.Name = "btnInpAdvanced";
			this.btnInpAdvanced.Size = new System.Drawing.Size(67, 24);
			this.btnInpAdvanced.TabIndex = 9;
			this.btnInpAdvanced.Text = "Advanced";
			this.btnInpAdvanced.Click += new System.EventHandler(this.btnInpAdvanced_Click);
			// 
			// chInpSelect
			// 
			this.chInpSelect.Location = new System.Drawing.Point(13, 168);
			this.chInpSelect.Name = "chInpSelect";
			this.chInpSelect.Size = new System.Drawing.Size(57, 18);
			this.chInpSelect.TabIndex = 7;
			this.chInpSelect.Text = "Select";
			this.chInpSelect.CheckedChanged += new System.EventHandler(this.chInpSelect_CheckedChanged);
			// 
			// cmbSrcInput
			// 
			this.cmbSrcInput.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbSrcInput.Location = new System.Drawing.Point(6, 15);
			this.cmbSrcInput.Name = "cmbSrcInput";
			this.cmbSrcInput.Size = new System.Drawing.Size(63, 21);
			this.cmbSrcInput.TabIndex = 6;
			this.cmbSrcInput.SelectedIndexChanged += new System.EventHandler(this.cmbSrcInput_SelectedIndexChanged);
			// 
			// trInpVolume
			// 
			this.trInpVolume.AutoSize = false;
			this.trInpVolume.Location = new System.Drawing.Point(21, 63);
			this.trInpVolume.Maximum = 65535;
			this.trInpVolume.Name = "trInpVolume";
			this.trInpVolume.Orientation = System.Windows.Forms.Orientation.Vertical;
			this.trInpVolume.Size = new System.Drawing.Size(42, 109);
			this.trInpVolume.TabIndex = 5;
			this.trInpVolume.TickFrequency = 6000;
			this.trInpVolume.TickStyle = System.Windows.Forms.TickStyle.Both;
			this.trInpVolume.Scroll += new System.EventHandler(this.trInpVolume_Scroll);
			// 
			// trInpVolBalance
			// 
			this.trInpVolBalance.AutoSize = false;
			this.trInpVolBalance.Location = new System.Drawing.Point(10, 36);
			this.trInpVolBalance.Maximum = 100;
			this.trInpVolBalance.Name = "trInpVolBalance";
			this.trInpVolBalance.Size = new System.Drawing.Size(60, 42);
			this.trInpVolBalance.TabIndex = 4;
			this.trInpVolBalance.TickFrequency = 50;
			this.trInpVolBalance.Value = 50;
			this.trInpVolBalance.Scroll += new System.EventHandler(this.trInpVolBalance_Scroll);
			// 
			// cmbDeviceInput
			// 
			this.cmbDeviceInput.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbDeviceInput.Location = new System.Drawing.Point(7, 18);
			this.cmbDeviceInput.Name = "cmbDeviceInput";
			this.cmbDeviceInput.Size = new System.Drawing.Size(82, 21);
			this.cmbDeviceInput.TabIndex = 0;
			this.cmbDeviceInput.SelectedIndexChanged += new System.EventHandler(this.cmbDeviceInput_SelectedIndexChanged);
			// 
			// frmDevOutput
			// 
			this.frmDevOutput.Controls.AddRange(new System.Windows.Forms.Control[] {
																					   this.frmSrcOutput,
																					   this.cmbDeviceOutput});
			this.frmDevOutput.Location = new System.Drawing.Point(6, 12);
			this.frmDevOutput.Name = "frmDevOutput";
			this.frmDevOutput.Size = new System.Drawing.Size(98, 268);
			this.frmDevOutput.TabIndex = 37;
			this.frmDevOutput.TabStop = false;
			this.frmDevOutput.Text = "Output";
			// 
			// frmSrcOutput
			// 
			this.frmSrcOutput.Controls.AddRange(new System.Windows.Forms.Control[] {
																					   this.btnOutAdvanced,
																					   this.chOutSelect,
																					   this.cmbSrcOutput,
																					   this.trOutVolume,
																					   this.trOutVolBalance});
			this.frmSrcOutput.Location = new System.Drawing.Point(9, 40);
			this.frmSrcOutput.Name = "frmSrcOutput";
			this.frmSrcOutput.Size = new System.Drawing.Size(80, 224);
			this.frmSrcOutput.TabIndex = 35;
			this.frmSrcOutput.TabStop = false;
			this.frmSrcOutput.Text = "Source";
			// 
			// btnOutAdvanced
			// 
			this.btnOutAdvanced.Location = new System.Drawing.Point(7, 192);
			this.btnOutAdvanced.Name = "btnOutAdvanced";
			this.btnOutAdvanced.Size = new System.Drawing.Size(67, 24);
			this.btnOutAdvanced.TabIndex = 8;
			this.btnOutAdvanced.Text = "Advanced";
			this.btnOutAdvanced.Click += new System.EventHandler(this.btnOutAdvanced_Click);
			// 
			// chOutSelect
			// 
			this.chOutSelect.Location = new System.Drawing.Point(13, 168);
			this.chOutSelect.Name = "chOutSelect";
			this.chOutSelect.Size = new System.Drawing.Size(57, 18);
			this.chOutSelect.TabIndex = 7;
			this.chOutSelect.Text = "Select";
			this.chOutSelect.CheckedChanged += new System.EventHandler(this.chOutSelect_CheckedChanged);
			// 
			// cmbSrcOutput
			// 
			this.cmbSrcOutput.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbSrcOutput.Location = new System.Drawing.Point(6, 15);
			this.cmbSrcOutput.Name = "cmbSrcOutput";
			this.cmbSrcOutput.Size = new System.Drawing.Size(66, 21);
			this.cmbSrcOutput.TabIndex = 6;
			this.cmbSrcOutput.SelectedIndexChanged += new System.EventHandler(this.cmbSrcOutput_SelectedIndexChanged);
			// 
			// trOutVolume
			// 
			this.trOutVolume.AutoSize = false;
			this.trOutVolume.Location = new System.Drawing.Point(21, 63);
			this.trOutVolume.Maximum = 65535;
			this.trOutVolume.Name = "trOutVolume";
			this.trOutVolume.Orientation = System.Windows.Forms.Orientation.Vertical;
			this.trOutVolume.Size = new System.Drawing.Size(42, 109);
			this.trOutVolume.TabIndex = 5;
			this.trOutVolume.TickFrequency = 6000;
			this.trOutVolume.TickStyle = System.Windows.Forms.TickStyle.Both;
			this.trOutVolume.Scroll += new System.EventHandler(this.trOutVolume_Scroll);
			// 
			// trOutVolBalance
			// 
			this.trOutVolBalance.AutoSize = false;
			this.trOutVolBalance.Location = new System.Drawing.Point(10, 36);
			this.trOutVolBalance.Maximum = 100;
			this.trOutVolBalance.Name = "trOutVolBalance";
			this.trOutVolBalance.Size = new System.Drawing.Size(60, 42);
			this.trOutVolBalance.TabIndex = 4;
			this.trOutVolBalance.TickFrequency = 50;
			this.trOutVolBalance.Value = 50;
			this.trOutVolBalance.Scroll += new System.EventHandler(this.trOutVolBalance_Scroll);
			// 
			// cmbDeviceOutput
			// 
			this.cmbDeviceOutput.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbDeviceOutput.Location = new System.Drawing.Point(8, 18);
			this.cmbDeviceOutput.Name = "cmbDeviceOutput";
			this.cmbDeviceOutput.Size = new System.Drawing.Size(82, 21);
			this.cmbDeviceOutput.TabIndex = 0;
			this.cmbDeviceOutput.SelectedIndexChanged += new System.EventHandler(this.cmbDeviceOutput_SelectedIndexChanged);
			// 
			// frmSelect
			// 
			this.frmSelect.BackColor = System.Drawing.SystemColors.Control;
			this.frmSelect.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.udSelStart,
																					this.udSelEnd,
																					this.chSelect});
			this.frmSelect.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmSelect.Location = new System.Drawing.Point(6, 360);
			this.frmSelect.Name = "frmSelect";
			this.frmSelect.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmSelect.Size = new System.Drawing.Size(202, 52);
			this.frmSelect.TabIndex = 36;
			this.frmSelect.TabStop = false;
			this.frmSelect.Text = "Select";
			// 
			// udSelStart
			// 
			this.udSelStart.Location = new System.Drawing.Point(16, 21);
			this.udSelStart.Name = "udSelStart";
			this.udSelStart.Size = new System.Drawing.Size(48, 20);
			this.udSelStart.TabIndex = 31;
			this.udSelStart.Click += new System.EventHandler(this.udSelStart_Click);
			// 
			// udSelEnd
			// 
			this.udSelEnd.Location = new System.Drawing.Point(72, 21);
			this.udSelEnd.Name = "udSelEnd";
			this.udSelEnd.Size = new System.Drawing.Size(48, 20);
			this.udSelEnd.TabIndex = 30;
			this.udSelEnd.Click += new System.EventHandler(this.udSelEnd_Click);
			// 
			// chSelect
			// 
			this.chSelect.BackColor = System.Drawing.SystemColors.Control;
			this.chSelect.Cursor = System.Windows.Forms.Cursors.Default;
			this.chSelect.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chSelect.Location = new System.Drawing.Point(136, 24);
			this.chSelect.Name = "chSelect";
			this.chSelect.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chSelect.Size = new System.Drawing.Size(56, 16);
			this.chSelect.TabIndex = 29;
			this.chSelect.Text = "Select";
			this.chSelect.CheckedChanged += new System.EventHandler(this.chSelect_CheckedChanged);
			// 
			// frmZoom
			// 
			this.frmZoom.BackColor = System.Drawing.SystemColors.Control;
			this.frmZoom.Controls.AddRange(new System.Windows.Forms.Control[] {
																				  this.udZHend,
																				  this.udZHstart,
																				  this.udZoomV,
																				  this.lblVertical,
																				  this.lblHorizontal});
			this.frmZoom.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmZoom.Location = new System.Drawing.Point(6, 288);
			this.frmZoom.Name = "frmZoom";
			this.frmZoom.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmZoom.Size = new System.Drawing.Size(202, 64);
			this.frmZoom.TabIndex = 35;
			this.frmZoom.TabStop = false;
			this.frmZoom.Text = "Zoom";
			// 
			// udZHend
			// 
			this.udZHend.Location = new System.Drawing.Point(72, 32);
			this.udZHend.Name = "udZHend";
			this.udZHend.Size = new System.Drawing.Size(48, 20);
			this.udZHend.TabIndex = 38;
			this.udZHend.Click += new System.EventHandler(this.udZHend_Click);
			// 
			// udZHstart
			// 
			this.udZHstart.Location = new System.Drawing.Point(16, 32);
			this.udZHstart.Name = "udZHstart";
			this.udZHstart.Size = new System.Drawing.Size(48, 20);
			this.udZHstart.TabIndex = 37;
			this.udZHstart.Click += new System.EventHandler(this.udZHstart_Click);
			// 
			// udZoomV
			// 
			this.udZoomV.Location = new System.Drawing.Point(136, 32);
			this.udZoomV.Maximum = new System.Decimal(new int[] {
																	500,
																	0,
																	0,
																	0});
			this.udZoomV.Minimum = new System.Decimal(new int[] {
																	1,
																	0,
																	0,
																	0});
			this.udZoomV.Name = "udZoomV";
			this.udZoomV.Size = new System.Drawing.Size(48, 20);
			this.udZoomV.TabIndex = 36;
			this.udZoomV.Value = new System.Decimal(new int[] {
																  100,
																  0,
																  0,
																  0});
			this.udZoomV.Click += new System.EventHandler(this.udZoomV_Click);
			// 
			// lblVertical
			// 
			this.lblVertical.BackColor = System.Drawing.SystemColors.Control;
			this.lblVertical.Cursor = System.Windows.Forms.Cursors.Default;
			this.lblVertical.ForeColor = System.Drawing.SystemColors.ControlText;
			this.lblVertical.Location = new System.Drawing.Point(136, 16);
			this.lblVertical.Name = "lblVertical";
			this.lblVertical.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.lblVertical.Size = new System.Drawing.Size(51, 13);
			this.lblVertical.TabIndex = 35;
			this.lblVertical.Text = "Vertical:";
			// 
			// lblHorizontal
			// 
			this.lblHorizontal.BackColor = System.Drawing.SystemColors.Control;
			this.lblHorizontal.Cursor = System.Windows.Forms.Cursors.Default;
			this.lblHorizontal.ForeColor = System.Drawing.SystemColors.ControlText;
			this.lblHorizontal.Location = new System.Drawing.Point(40, 16);
			this.lblHorizontal.Name = "lblHorizontal";
			this.lblHorizontal.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.lblHorizontal.Size = new System.Drawing.Size(57, 13);
			this.lblHorizontal.TabIndex = 34;
			this.lblHorizontal.Text = "Horizontal:";
			// 
			// ImageList2
			// 
			this.ImageList2.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
			this.ImageList2.ImageSize = new System.Drawing.Size(16, 16);
			this.ImageList2.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ImageList2.ImageStream")));
			this.ImageList2.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// ImageList1
			// 
			this.ImageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
			this.ImageList1.ImageSize = new System.Drawing.Size(16, 16);
			this.ImageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ImageList1.ImageStream")));
			this.ImageList1.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// mnuMain
			// 
			this.mnuMain.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.mnuFile,
																					this.mnuView,
																					this.mnuEdit,
																					this.mnuPlayback});
			// 
			// mnuFile
			// 
			this.mnuFile.Index = 0;
			this.mnuFile.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.mnuNew,
																					this.mnuOpen,
																					this.mnu1,
																					this.mnuConvert,
																					this.mnu2,
																					this.mnuSave,
																					this.mnuSaveSelect,
																					this.mnu3,
																					this.mnuExit});
			this.mnuFile.Text = "File";
			// 
			// mnuNew
			// 
			this.mnuNew.Index = 0;
			this.mnuNew.Text = "New";
			this.mnuNew.Click += new System.EventHandler(this.mnuNew_Click);
			// 
			// mnuOpen
			// 
			this.mnuOpen.Index = 1;
			this.mnuOpen.Text = "Open";
			this.mnuOpen.Click += new System.EventHandler(this.mnuOpen_Click);
			// 
			// mnu1
			// 
			this.mnu1.Index = 2;
			this.mnu1.Text = "-";
			// 
			// mnuConvert
			// 
			this.mnuConvert.Index = 3;
			this.mnuConvert.Text = "Convert Sample Type";
			this.mnuConvert.Click += new System.EventHandler(this.mnuConvert_Click);
			// 
			// mnu2
			// 
			this.mnu2.Index = 4;
			this.mnu2.Text = "-";
			// 
			// mnuSave
			// 
			this.mnuSave.Index = 5;
			this.mnuSave.Text = "Save as ...";
			this.mnuSave.Click += new System.EventHandler(this.mnuSave_Click);
			// 
			// mnuSaveSelect
			// 
			this.mnuSaveSelect.Index = 6;
			this.mnuSaveSelect.Text = "Save select as ...";
			this.mnuSaveSelect.Click += new System.EventHandler(this.mnuSaveSelect_Click);
			// 
			// mnu3
			// 
			this.mnu3.Index = 7;
			this.mnu3.Text = "-";
			// 
			// mnuExit
			// 
			this.mnuExit.Index = 8;
			this.mnuExit.Text = "Exit";
			this.mnuExit.Click += new System.EventHandler(this.mnuExit_Click);
			// 
			// mnuView
			// 
			this.mnuView.Index = 1;
			this.mnuView.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.mnuViewWaveForm,
																					this.mnuViewSpectral,
																					this.MenuItem1,
																					this.mnuInfo,
																					this.mnuMarkers});
			this.mnuView.Text = "View";
			// 
			// mnuViewWaveForm
			// 
			this.mnuViewWaveForm.Checked = true;
			this.mnuViewWaveForm.Index = 0;
			this.mnuViewWaveForm.Text = "WaveForm View";
			this.mnuViewWaveForm.Click += new System.EventHandler(this.mnuViewWaveForm_Click);
			// 
			// mnuViewSpectral
			// 
			this.mnuViewSpectral.Index = 1;
			this.mnuViewSpectral.Text = "Spectral View";
			this.mnuViewSpectral.Click += new System.EventHandler(this.mnuViewSpectral_Click);
			// 
			// MenuItem1
			// 
			this.MenuItem1.Index = 2;
			this.MenuItem1.Text = "-";
			// 
			// mnuInfo
			// 
			this.mnuInfo.Index = 3;
			this.mnuInfo.Text = "Information ...";
			this.mnuInfo.Click += new System.EventHandler(this.mnuInfo_Click);
			// 
			// mnuMarkers
			// 
			this.mnuMarkers.Index = 4;
			this.mnuMarkers.Text = "Markers List ...";
			this.mnuMarkers.Click += new System.EventHandler(this.mnuMarkers_Click);
			// 
			// mnuEdit
			// 
			this.mnuEdit.Index = 2;
			this.mnuEdit.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.mnuCopy,
																					this.mnuCut,
																					this.mnuPaste,
																					this.mnuPasteFile,
																					this.mnu4,
																					this.mnuCopyWin,
																					this.mnuPasteWin,
																					this.mnu5,
																					this.mnuMix,
																					this.mnuMixFile,
																					this.mnu6,
																					this.mnuInsertSil,
																					this.mnuDeleteSil});
			this.mnuEdit.Text = "Edit";
			// 
			// mnuCopy
			// 
			this.mnuCopy.Index = 0;
			this.mnuCopy.Text = "Copy";
			this.mnuCopy.Click += new System.EventHandler(this.mnuCopy_Click);
			// 
			// mnuCut
			// 
			this.mnuCut.Index = 1;
			this.mnuCut.Text = "Cut";
			this.mnuCut.Click += new System.EventHandler(this.mnuCut_Click);
			// 
			// mnuPaste
			// 
			this.mnuPaste.Index = 2;
			this.mnuPaste.Text = "Paste";
			this.mnuPaste.Click += new System.EventHandler(this.mnuPaste_Click);
			// 
			// mnuPasteFile
			// 
			this.mnuPasteFile.Index = 3;
			this.mnuPasteFile.Text = "Paste from File ...";
			this.mnuPasteFile.Click += new System.EventHandler(this.mnuPasteFile_Click);
			// 
			// mnu4
			// 
			this.mnu4.Index = 4;
			this.mnu4.Text = "-";
			// 
			// mnuCopyWin
			// 
			this.mnuCopyWin.Index = 5;
			this.mnuCopyWin.Text = "Copy to Windows Clipboard";
			this.mnuCopyWin.Click += new System.EventHandler(this.mnuCopyWin_Click);
			// 
			// mnuPasteWin
			// 
			this.mnuPasteWin.Index = 6;
			this.mnuPasteWin.Text = "Paste from Windows Clipboard";
			this.mnuPasteWin.Click += new System.EventHandler(this.mnuPasteWin_Click);
			// 
			// mnu5
			// 
			this.mnu5.Index = 7;
			this.mnu5.Text = "-";
			// 
			// mnuMix
			// 
			this.mnuMix.Index = 8;
			this.mnuMix.Text = "Mix";
			this.mnuMix.Click += new System.EventHandler(this.mnuMix_Click);
			// 
			// mnuMixFile
			// 
			this.mnuMixFile.Index = 9;
			this.mnuMixFile.Text = "Mix from File ...";
			this.mnuMixFile.Click += new System.EventHandler(this.mnuMixFile_Click);
			// 
			// mnu6
			// 
			this.mnu6.Index = 10;
			this.mnu6.Text = "-";
			// 
			// mnuInsertSil
			// 
			this.mnuInsertSil.Index = 11;
			this.mnuInsertSil.Text = "Insert Silence";
			this.mnuInsertSil.Click += new System.EventHandler(this.mnuInsertSil_Click);
			// 
			// mnuDeleteSil
			// 
			this.mnuDeleteSil.Index = 12;
			this.mnuDeleteSil.Text = "Delete Silence";
			this.mnuDeleteSil.Click += new System.EventHandler(this.mnuDeleteSil_Click);
			// 
			// mnuPlayback
			// 
			this.mnuPlayback.Index = 3;
			this.mnuPlayback.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																						this.mnuPlay,
																						this.mnuPlayEnd,
																						this.mnuPlayLoop,
																						this.mnu7,
																						this.mnuRecord,
																						this.mnu8,
																						this.mnuPause,
																						this.mnuContinue,
																						this.mnu9,
																						this.mnuSop});
			this.mnuPlayback.Text = "Playback";
			// 
			// mnuPlay
			// 
			this.mnuPlay.Index = 0;
			this.mnuPlay.Text = "Play";
			this.mnuPlay.Click += new System.EventHandler(this.mnuPlay_Click);
			// 
			// mnuPlayEnd
			// 
			this.mnuPlayEnd.Index = 1;
			this.mnuPlayEnd.Text = "Play to End";
			this.mnuPlayEnd.Click += new System.EventHandler(this.mnuPlayEnd_Click);
			// 
			// mnuPlayLoop
			// 
			this.mnuPlayLoop.Index = 2;
			this.mnuPlayLoop.Text = "Play Looped";
			this.mnuPlayLoop.Click += new System.EventHandler(this.mnuPlayLoop_Click);
			// 
			// mnu7
			// 
			this.mnu7.Index = 3;
			this.mnu7.Text = "-";
			// 
			// mnuRecord
			// 
			this.mnuRecord.Index = 4;
			this.mnuRecord.Text = "Record";
			this.mnuRecord.Click += new System.EventHandler(this.mnuRecord_Click);
			// 
			// mnu8
			// 
			this.mnu8.Index = 5;
			this.mnu8.Text = "-";
			// 
			// mnuPause
			// 
			this.mnuPause.Index = 6;
			this.mnuPause.Text = "Pause";
			this.mnuPause.Click += new System.EventHandler(this.mnuPause_Click);
			// 
			// mnuContinue
			// 
			this.mnuContinue.Index = 7;
			this.mnuContinue.Text = "Continue";
			this.mnuContinue.Click += new System.EventHandler(this.mnuContinue_Click);
			// 
			// mnu9
			// 
			this.mnu9.Index = 8;
			this.mnu9.Text = "-";
			// 
			// mnuSop
			// 
			this.mnuSop.Index = 9;
			this.mnuSop.Text = "Stop";
			this.mnuSop.Click += new System.EventHandler(this.mnuSop_Click);
			// 
			// SaveFileDialog1
			// 
			this.SaveFileDialog1.FileName = "doc1";
			// 
			// ToolBar2
			// 
			this.ToolBar2.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						this.butAmp1,
																						this.butAmp2,
																						this.butInvert,
																						this.butFadeIn,
																						this.butFadeOut,
																						this.butSilence,
																						this.butNormalize,
																						this.sep7,
																						this.butInsSilence,
																						this.burDelSilence,
																						this.sep8,
																						this.butDelay,
																						this.butFlanger,
																						this.butVibrato,
																						this.butReverse,
																						this.butCompressor,
																						this.sep9,
																						this.butNotchFilter,
																						this.butBPF,
																						this.butLPF,
																						this.butLSF,
																						this.butHPF,
																						this.butHSF,
																						this.sep10,
																						this.butStretch,
																						this.sep11,
																						this.butAnalize});
			this.ToolBar2.ButtonSize = new System.Drawing.Size(16, 16);
			this.ToolBar2.DropDownArrows = true;
			this.ToolBar2.ImageList = this.ImageList2;
			this.ToolBar2.Location = new System.Drawing.Point(0, 25);
			this.ToolBar2.Name = "ToolBar2";
			this.ToolBar2.ShowToolTips = true;
			this.ToolBar2.Size = new System.Drawing.Size(912, 25);
			this.ToolBar2.TabIndex = 45;
			this.ToolBar2.Wrappable = false;
			this.ToolBar2.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.ToolBar2_ButtonClick);
			// 
			// butAmp1
			// 
			this.butAmp1.ImageIndex = 1;
			this.butAmp1.ToolTipText = "Amplify +";
			// 
			// butAmp2
			// 
			this.butAmp2.ImageIndex = 0;
			this.butAmp2.ToolTipText = "Amplify -";
			// 
			// butInvert
			// 
			this.butInvert.ImageIndex = 4;
			this.butInvert.ToolTipText = "Invert";
			// 
			// butFadeIn
			// 
			this.butFadeIn.ImageIndex = 2;
			this.butFadeIn.ToolTipText = "Fade In";
			// 
			// butFadeOut
			// 
			this.butFadeOut.ImageIndex = 3;
			this.butFadeOut.ToolTipText = "Fade Out";
			// 
			// butSilence
			// 
			this.butSilence.ImageIndex = 10;
			this.butSilence.ToolTipText = "Silence";
			// 
			// butNormalize
			// 
			this.butNormalize.ImageIndex = 9;
			this.butNormalize.ToolTipText = "Normalize";
			// 
			// sep7
			// 
			this.sep7.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butInsSilence
			// 
			this.butInsSilence.ImageIndex = 6;
			this.butInsSilence.ToolTipText = "Insert Silence";
			// 
			// burDelSilence
			// 
			this.burDelSilence.ImageIndex = 7;
			this.burDelSilence.ToolTipText = "Delete Silence";
			// 
			// sep8
			// 
			this.sep8.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butDelay
			// 
			this.butDelay.ImageIndex = 5;
			this.butDelay.ToolTipText = "Delay";
			// 
			// butFlanger
			// 
			this.butFlanger.ImageIndex = 8;
			this.butFlanger.ToolTipText = "Flanger";
			// 
			// butVibrato
			// 
			this.butVibrato.ImageIndex = 11;
			this.butVibrato.ToolTipText = "Vibrato";
			// 
			// butReverse
			// 
			this.butReverse.ImageIndex = 19;
			this.butReverse.ToolTipText = "Reverse";
			// 
			// butCompressor
			// 
			this.butCompressor.ImageIndex = 18;
			this.butCompressor.ToolTipText = "Compressor";
			// 
			// sep9
			// 
			this.sep9.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butNotchFilter
			// 
			this.butNotchFilter.ImageIndex = 17;
			this.butNotchFilter.ToolTipText = "Notch Filter";
			// 
			// butBPF
			// 
			this.butBPF.ImageIndex = 16;
			this.butBPF.ToolTipText = "Band Pass Filter";
			// 
			// butLPF
			// 
			this.butLPF.ImageIndex = 14;
			this.butLPF.ToolTipText = "Low Pass Filter";
			// 
			// butLSF
			// 
			this.butLSF.ImageIndex = 15;
			this.butLSF.ToolTipText = "Low Shelf Filter";
			// 
			// butHPF
			// 
			this.butHPF.ImageIndex = 12;
			this.butHPF.ToolTipText = "High Pass Filter";
			// 
			// butHSF
			// 
			this.butHSF.ImageIndex = 13;
			this.butHSF.ToolTipText = "High Shelf Filter";
			// 
			// sep10
			// 
			this.sep10.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			this.sep10.Visible = false;
			// 
			// butStretch
			// 
			this.butStretch.ImageIndex = 20;
			this.butStretch.ToolTipText = "Stretch";
			this.butStretch.Visible = false;
			// 
			// sep11
			// 
			this.sep11.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butAnalize
			// 
			this.butAnalize.ImageIndex = 21;
			this.butAnalize.ToolTipText = "Frequency Analize";
			this.butAnalize.Visible = false;
			// 
			// ToolBar1
			// 
			this.ToolBar1.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						this.butNew,
																						this.butOpen,
																						this.butSave,
																						this.butClose,
																						this.sep1,
																						this.butProperty,
																						this.sep2,
																						this.butCopy,
																						this.butCut,
																						this.butPaste,
																						this.butMix,
																						this.sep3,
																						this.butUndo,
																						this.butRedo,
																						this.sep4,
																						this.butZoomIn,
																						this.butZoomOut,
																						this.butZoomFull,
																						this.sep5,
																						this.butPlay,
																						this.butPlayToEnd,
																						this.butPlayLoop,
																						this.butRecord,
																						this.butPause,
																						this.butContinue,
																						this.butStop,
																						this.sep6,
																						this.ChannelLeft,
																						this.ChannelRight,
																						this.sep12,
																						this.bupAGC});
			this.ToolBar1.ButtonSize = new System.Drawing.Size(16, 16);
			this.ToolBar1.DropDownArrows = true;
			this.ToolBar1.ImageList = this.ImageList1;
			this.ToolBar1.Name = "ToolBar1";
			this.ToolBar1.ShowToolTips = true;
			this.ToolBar1.Size = new System.Drawing.Size(912, 25);
			this.ToolBar1.TabIndex = 44;
			this.ToolBar1.Wrappable = false;
			this.ToolBar1.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.ToolBar1_ButtonClick);
			// 
			// butNew
			// 
			this.butNew.ImageIndex = 0;
			this.butNew.ToolTipText = "New";
			// 
			// butOpen
			// 
			this.butOpen.ImageIndex = 1;
			this.butOpen.ToolTipText = "Open";
			// 
			// butSave
			// 
			this.butSave.ImageIndex = 2;
			this.butSave.ToolTipText = "Save";
			// 
			// butClose
			// 
			this.butClose.ImageIndex = 3;
			this.butClose.ToolTipText = "Close";
			// 
			// sep1
			// 
			this.sep1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butProperty
			// 
			this.butProperty.ImageIndex = 4;
			this.butProperty.ToolTipText = "Property";
			// 
			// sep2
			// 
			this.sep2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butCopy
			// 
			this.butCopy.ImageIndex = 5;
			this.butCopy.ToolTipText = "Copy";
			// 
			// butCut
			// 
			this.butCut.ImageIndex = 6;
			this.butCut.ToolTipText = "Cut";
			// 
			// butPaste
			// 
			this.butPaste.ImageIndex = 7;
			this.butPaste.ToolTipText = "Paste";
			// 
			// butMix
			// 
			this.butMix.ImageIndex = 8;
			this.butMix.ToolTipText = "Mix";
			// 
			// sep3
			// 
			this.sep3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butUndo
			// 
			this.butUndo.ImageIndex = 9;
			this.butUndo.ToolTipText = "Undo";
			// 
			// butRedo
			// 
			this.butRedo.ImageIndex = 10;
			this.butRedo.ToolTipText = "Redo";
			// 
			// sep4
			// 
			this.sep4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butZoomIn
			// 
			this.butZoomIn.ImageIndex = 11;
			this.butZoomIn.ToolTipText = "Zoom In";
			// 
			// butZoomOut
			// 
			this.butZoomOut.ImageIndex = 12;
			this.butZoomOut.ToolTipText = "Zoom Out";
			// 
			// butZoomFull
			// 
			this.butZoomFull.ImageIndex = 13;
			this.butZoomFull.ToolTipText = "Zoom Full";
			// 
			// sep5
			// 
			this.sep5.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// butPlay
			// 
			this.butPlay.ImageIndex = 14;
			this.butPlay.ToolTipText = "Play";
			// 
			// butPlayToEnd
			// 
			this.butPlayToEnd.ImageIndex = 15;
			this.butPlayToEnd.ToolTipText = "Play To End";
			// 
			// butPlayLoop
			// 
			this.butPlayLoop.ImageIndex = 16;
			this.butPlayLoop.ToolTipText = "Play Looped";
			// 
			// butRecord
			// 
			this.butRecord.ImageIndex = 17;
			this.butRecord.ToolTipText = "Record";
			// 
			// butPause
			// 
			this.butPause.ImageIndex = 18;
			this.butPause.ToolTipText = "Pause";
			// 
			// butContinue
			// 
			this.butContinue.ImageIndex = 19;
			this.butContinue.ToolTipText = "Continue";
			// 
			// butStop
			// 
			this.butStop.ImageIndex = 20;
			this.butStop.ToolTipText = "Stop";
			// 
			// sep6
			// 
			this.sep6.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// ChannelLeft
			// 
			this.ChannelLeft.ImageIndex = 21;
			this.ChannelLeft.Pushed = true;
			this.ChannelLeft.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.ChannelLeft.ToolTipText = "Visible Left Channel";
			// 
			// ChannelRight
			// 
			this.ChannelRight.ImageIndex = 22;
			this.ChannelRight.Pushed = true;
			this.ChannelRight.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.ChannelRight.ToolTipText = "Visible Right Channel";
			// 
			// sep12
			// 
			this.sep12.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// bupAGC
			// 
			this.bupAGC.ImageIndex = 23;
			this.bupAGC.Pushed = true;
			this.bupAGC.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.bupAGC.ToolTipText = "Auto Gain Control";
			// 
			// frmMeter
			// 
			this.frmMeter.Anchor = ((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.frmMeter.Controls.AddRange(new System.Windows.Forms.Control[] {
																				   this.Progress2,
																				   this.Progress1});
			this.frmMeter.Location = new System.Drawing.Point(4, 480);
			this.frmMeter.Name = "frmMeter";
			this.frmMeter.Size = new System.Drawing.Size(906, 33);
			this.frmMeter.TabIndex = 47;
			this.frmMeter.TabStop = false;
			// 
			// Progress2
			// 
			this.Progress2.Anchor = (System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right);
			this.Progress2.Location = new System.Drawing.Point(3, 12);
			this.Progress2.Name = "Progress2";
			this.Progress2.Size = new System.Drawing.Size(897, 6);
			this.Progress2.TabIndex = 32;
			// 
			// Progress1
			// 
			this.Progress1.Anchor = (System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right);
			this.Progress1.Location = new System.Drawing.Point(3, 21);
			this.Progress1.Name = "Progress1";
			this.Progress1.Size = new System.Drawing.Size(897, 6);
			this.Progress1.TabIndex = 31;
			// 
			// StatusBar
			// 
			this.StatusBar.Location = new System.Drawing.Point(0, 513);
			this.StatusBar.Name = "StatusBar";
			this.StatusBar.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
																						 this.StatusBarPanel1,
																						 this.StatusBarPanel2,
																						 this.StatusBarPanel3,
																						 this.StatusBarPanel4,
																						 this.StatusBarPanel5,
																						 this.StatusBarPanel6,
																						 this.StatusBarPanel7});
			this.StatusBar.ShowPanels = true;
			this.StatusBar.Size = new System.Drawing.Size(912, 24);
			this.StatusBar.TabIndex = 46;
			// 
			// StatusBarPanel1
			// 
			this.StatusBarPanel1.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring;
			this.StatusBarPanel1.Width = 556;
			// 
			// StatusBarPanel2
			// 
			this.StatusBarPanel2.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Contents;
			this.StatusBarPanel2.Width = 10;
			// 
			// StatusBarPanel3
			// 
			this.StatusBarPanel3.Width = 90;
			// 
			// StatusBarPanel4
			// 
			this.StatusBarPanel4.Width = 60;
			// 
			// StatusBarPanel5
			// 
			this.StatusBarPanel5.Width = 60;
			// 
			// StatusBarPanel6
			// 
			this.StatusBarPanel6.Width = 60;
			// 
			// StatusBarPanel7
			// 
			this.StatusBarPanel7.Width = 60;
			// 
			// formProgress
			// 
			this.formProgress.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.formProgress.Controls.AddRange(new System.Windows.Forms.Control[] {
																					   this.lblProgress,
																					   this.cmdCancel,
																					   this.Progress});
			this.formProgress.Location = new System.Drawing.Point(194, 176);
			this.formProgress.Name = "formProgress";
			this.formProgress.Size = new System.Drawing.Size(294, 96);
			this.formProgress.TabIndex = 49;
			this.formProgress.Visible = false;
			// 
			// lblProgress
			// 
			this.lblProgress.Location = new System.Drawing.Point(20, 9);
			this.lblProgress.Name = "lblProgress";
			this.lblProgress.Size = new System.Drawing.Size(246, 21);
			this.lblProgress.TabIndex = 40;
			this.lblProgress.Text = "Progress";
			this.lblProgress.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// cmdCancel
			// 
			this.cmdCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.cmdCancel.Location = new System.Drawing.Point(102, 66);
			this.cmdCancel.Name = "cmdCancel";
			this.cmdCancel.Size = new System.Drawing.Size(78, 24);
			this.cmdCancel.TabIndex = 39;
			this.cmdCancel.Text = "Cancel";
			this.cmdCancel.Click += new System.EventHandler(this.cmdCancel_Click);
			// 
			// Progress
			// 
			this.Progress.Location = new System.Drawing.Point(3, 36);
			this.Progress.Name = "Progress";
			this.Progress.Size = new System.Drawing.Size(280, 21);
			this.Progress.Step = 1;
			this.Progress.TabIndex = 38;
			// 
			// AudioEditor
			// 
			this.AudioEditor.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.AudioEditor.Enabled = true;
			this.AudioEditor.Location = new System.Drawing.Point(8, 56);
			this.AudioEditor.Name = "AudioEditor";
			this.AudioEditor.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("AudioEditor.OcxState")));
			this.AudioEditor.Size = new System.Drawing.Size(676, 418);
			this.AudioEditor.TabIndex = 50;
			this.AudioEditor.Meter += new AxNCTAUDIOEDITOR2Lib._IAudioEditor2Events_MeterEventHandler(this.AudioEditor_Meter);
			this.AudioEditor.EndOperation += new System.EventHandler(this.AudioEditor_EndOperation);
			this.AudioEditor.ChangePosition += new System.EventHandler(this.AudioEditor_ChangePosition);
			this.AudioEditor.BlockOperation += new AxNCTAUDIOEDITOR2Lib._IAudioEditor2Events_BlockOperationEventHandler(this.AudioEditor_BlockOperation);
			// 
			// formTestAE
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(912, 537);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.formProgress,
																		  this.frmMeter,
																		  this.StatusBar,
																		  this.ToolBar2,
																		  this.ToolBar1,
																		  this.frmControl,
																		  this.AudioEditor});
			this.Menu = this.mnuMain;
			this.Name = "formTestAE";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Test C# NCTAudioEditor2 ActiveX DLL";
			this.Load += new System.EventHandler(this.formTestAE_Load);
			this.frmControl.ResumeLayout(false);
			this.frmDevInput.ResumeLayout(false);
			this.frmSrcInput.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.trInpVolume)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.trInpVolBalance)).EndInit();
			this.frmDevOutput.ResumeLayout(false);
			this.frmSrcOutput.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.trOutVolume)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.trOutVolBalance)).EndInit();
			this.frmSelect.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.udSelStart)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udSelEnd)).EndInit();
			this.frmZoom.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.udZHend)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udZHstart)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udZoomV)).EndInit();
			this.frmMeter.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel2)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel3)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel4)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel5)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel6)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanel7)).EndInit();
			this.formProgress.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.AudioEditor)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		[STAThread]
		static void Main() 
		{
			Application.Run(new formTestAE());
		}

		private void formTestAE_Load(object sender, System.EventArgs e)
		{
			SetInputOutputDevice();
		}

		private void ToolBar1_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			switch(ToolBar1.Buttons.IndexOf(e.Button))
			{
				case 0:NewFile();break;
				case 1:OpenFile();break;
				case 2:SaveFile(false);break;
				case 3:CloseFile();break;
				case 5:
					formProperty frm = new formProperty();
					frm.frm = this;
					frm.ShowDialog();
					break;
				case 7:AudioEditor.Copy();break;
				case 8:AudioEditor.Cut();break;
				case 9:AudioEditor.Paste();break;
				case 10:AudioEditor.Mix(100, 100);break;
				case 12:AudioEditor.Undo();break;
				case 13:AudioEditor.Redo();break;
				case 15:AudioEditor.ZoomIn();break;
				case 16:AudioEditor.ZoomOut();break;
				case 17:AudioEditor.ZoomFull();break;
				case 19:AudioEditor.Play(NCTAUDIOEDITOR2Lib.PlayTypeConstants.NORMALPLAY);break;
				case 20:AudioEditor.Play(NCTAUDIOEDITOR2Lib.PlayTypeConstants.PLAYTOEND);break;
				case 21:AudioEditor.Play(NCTAUDIOEDITOR2Lib.PlayTypeConstants.PLAYLOOPED);break;
				case 22:AudioEditor.Record(NCTAUDIOEDITOR2Lib.RecordTypeConstants.RECORD_MIX);break;
				case 23:AudioEditor.Pause();break;
				case 24:AudioEditor.Continue();break;
				case 25:AudioEditor.Stop();break;
				case 27:ChangeChannel();break;
				case 28:ChangeChannel();break;
				case 30:AudioEditor.Recorder.AGCEnabled = ToolBar1.Buttons[30].Pushed;break;
			}
			SetParam();
		}

		private void OpenFile()
		{
			OpenFileDialog1.FileName = "";
            OpenFileDialog1.Title = "Open File";
			OpenFileDialog1.InitialDirectory = "c:\\";
            OpenFileDialog1.Filter = "Wav files (*.wav)|*.wav|" +
									"MPEG files (*.mp3;*.mp2;*.mpeg)|*.mp3;*.mp2;*.mpeg|" +
									"OggVorbis files (*.ogg)|*.ogg|" +
									"AVI files (*.avi)|*.avi|" +
									"G.72x files (*.g721;*.g723;*.g726)|*.*.g721,*.g723,*.g726|" +
									"VOX files (*.vox)|*.vox|" +
									"RAW files (*.raw; *.pcm)|*.raw;*.pcm|" +
									"WMA files (*.wma)|*.wma|" +
									"CD Audio (*.cda)|*.cda";
			if (OpenFileDialog1.ShowDialog() == DialogResult.OK)
			{
				AudioEditor.Open(OpenFileDialog1.FileName,NCTAUDIOEDITOR2Lib.FormatTypeConstants.DEFAULT);
				StatusBar.Panels[0].Text = OpenFileDialog1.FileName;
			}
		}

		private void CloseFile()
		{
	        AudioEditor.Close();
			StatusBar.Panels[0].Text = "";
		}

		private void NewFile()
		{
			AudioEditor.New(NCTAUDIOEDITOR2Lib.FrequencyConstants.FQ_32_KHZ, NCTAUDIOEDITOR2Lib.ChannelsConstants.STEREO);
			StatusBar.Panels[0].Text = "new file";	
		}

		private void SaveFile(bool flgSelect)
		{
			SaveFileDialog1.FileName = "";
			SaveFileDialog1.Title = "Save file ...";
			SaveFileDialog1.Filter = "Wav Files (*.wav)|*.wav" +
									"|MPEG Files (*.mp3;*.mp2;*.mpeg)|*.mp3;*.mp2;*.mpeg" +
									"|OggVorbis Files (*.ogg)|*.ogg" +
									"|AVI Files (*.avi)|*.avi" +
									"|G.72x Files (*.g721;*.g723;*.g726)|*.*.g721,*.g723,*.g726" +
									"|VOX Files (*.vox)|*.vox" +
									"|RAW Files (*.raw; *.pcm)|*.raw;*.pcm" +
									"|WMA Files (*.wma)|*.wma" +
									"|CD Audio (*.cda)|*.cda";
			if (SaveFileDialog1.ShowDialog() == DialogResult.OK)
			{
				AudioEditor.Save(SaveFileDialog1.FileName, flgSelect, NCTAUDIOEDITOR2Lib.FormatTypeConstants.DEFAULT);
				StatusBar.Panels[0].Text = SaveFileDialog1.FileName;
			}
		
		}

		private void SetParam()
		{
			StatusBar.Panels[1].Text = AudioEditor.FileInfo.FormatString;
			StatusBar.Panels[2].Text = AudioEditor.Position.TotalSamples.ToString();
			Progress1.Value = 0;
			Progress2.Value = 0;
			SetPosition();		
		}

		private void SetPosition()
		{
			StatusBar.Panels[3].Text = AudioEditor.Position.StartView.ToString();
			StatusBar.Panels[4].Text = AudioEditor.Position.EndView.ToString();
			StatusBar.Panels[5].Text = AudioEditor.Position.StartSelect.ToString();
			StatusBar.Panels[6].Text = AudioEditor.Position.EndSelect.ToString();

			if (AudioEditor.Position.Selected == false)chSelect.Checked = false; else chSelect.Checked = true;

			if (AudioEditor.Position.TotalSamples != 0){
				udZHstart.Value = AudioEditor.Position.StartView* 100 / AudioEditor.Position.TotalSamples ;
				udZHend.Value = AudioEditor.Position.EndView* 100 / AudioEditor.Position.TotalSamples ;
				udSelStart.Value = AudioEditor.Position.StartSelect * 100 / AudioEditor.Position.TotalSamples;
				udSelEnd.Value = AudioEditor.Position.EndSelect* 100 / AudioEditor.Position.TotalSamples;
			}else{
				udZHstart.Value = 0;
				udZHend.Value = 0;
				udSelStart.Value = 0;
				udSelEnd.Value = 0;
			}
		}

		private void ChangeChannel()
		{
			AudioEditor.Channels.Num = 1;
			AudioEditor.Channels.Visible = ChannelLeft.Pushed;
			AudioEditor.Channels.Num = 2;
			AudioEditor.Channels.Visible = ChannelRight.Pushed;
		}

		private void AudioEditor_ChangePosition(object sender, System.EventArgs e)
		{
			SetPosition();
		}

		private void SetInputOutputDevice()
		{
			short i;
			short kDeviceInput, kDeviceOutput;

			if (AudioEditor.DeviceInput.Count >= 0){
				kDeviceInput = AudioEditor.DeviceInput.Num;
				for(i = 0;i<=AudioEditor.DeviceInput.Count;i++){
					AudioEditor.DeviceInput.Num = i;
					cmbDeviceInput.Items.Add(AudioEditor.DeviceInput.Name);
				}

				if (kDeviceInput > cmbDeviceInput.Items.Count)kDeviceInput = (short)cmbDeviceInput.Items.Count;

				AudioEditor.DeviceInput.Num = kDeviceInput;
				cmbDeviceInput.SelectedIndex = kDeviceInput;
			}

			if (AudioEditor.DeviceOutput.Count >= 0){
				kDeviceOutput = AudioEditor.DeviceOutput.Num;
				for(i = 0;i<=AudioEditor.DeviceOutput.Count;i++)
				{
					AudioEditor.DeviceOutput.Num = i;
					cmbDeviceOutput.Items.Add(AudioEditor.DeviceOutput.Name);
				}
				if (kDeviceOutput > cmbDeviceOutput.Items.Count)kDeviceOutput =(short) cmbDeviceOutput.Items.Count;

				AudioEditor.DeviceOutput.Num = kDeviceOutput;
				cmbDeviceOutput.SelectedIndex = kDeviceOutput;
			}
		}

		private void cmbDeviceOutput_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			short i,kSrcOutput;

			cmbSrcOutput.Items.Clear();
			if (AudioEditor.DeviceOutput.DeviceLines.Count < 0) return;
			kSrcOutput = AudioEditor.DeviceOutput.DeviceLines.Num;
			for (i = 0 ;i<=AudioEditor.DeviceOutput.DeviceLines.Count;i++){
				AudioEditor.DeviceOutput.DeviceLines.Num = i;
				cmbSrcOutput.Items.Add(AudioEditor.DeviceOutput.DeviceLines.Name);
			}
			AudioEditor.DeviceOutput.DeviceLines.Num = kSrcOutput;
			cmbSrcOutput.SelectedIndex =kSrcOutput;
		}

		private void cmbDeviceInput_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			short i,kSrcInput;
			string StrName;

			cmbSrcInput.Items.Clear();
			if (AudioEditor.DeviceInput.DeviceLines.Count < 0) return;
			kSrcInput = AudioEditor.DeviceInput.DeviceLines.Num;
			for (i = 0;i<=AudioEditor.DeviceInput.DeviceLines.Count;i++){
				AudioEditor.DeviceInput.DeviceLines.Num = i;
				cmbSrcInput.Items.Add(AudioEditor.DeviceInput.DeviceLines.Name);
				StrName = AudioEditor.DeviceInput.DeviceLines.Name.ToLower();
				if (StrName.CompareTo("mic") > 0) kSrcInput = i;
			}
			AudioEditor.DeviceInput.DeviceLines.Num = kSrcInput;
			cmbSrcInput.SelectedIndex = kSrcInput;
		}

		private void cmbSrcOutput_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceOutput.DeviceLines.Num = (short)cmbSrcOutput.SelectedIndex;
			trOutVolume.Value = AudioEditor.DeviceOutput.DeviceLines.Volume;
			trOutVolBalance.Value = AudioEditor.DeviceOutput.DeviceLines.VolumeBalance;
			chOutSelect.Checked = AudioEditor.DeviceOutput.DeviceLines.Select;
			if (AudioEditor.DeviceOutput.DeviceLines.AdvancedCount >= 0) btnOutAdvanced.Visible = true;
			else btnOutAdvanced.Visible = false;
		}

		private void trOutVolume_Scroll(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceOutput.DeviceLines.Volume = trOutVolume.Value;
		}

		private void trOutVolBalance_Scroll(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceOutput.DeviceLines.VolumeBalance = (short)trOutVolBalance.Value;
		}

		private void chOutSelect_CheckedChanged(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceOutput.DeviceLines.Select = chOutSelect.Checked;
		}

		private void btnOutAdvanced_Click(object sender, System.EventArgs e)
		{
			formAdvanced frm = new formAdvanced();
			frm.device = "output";
			frm.ShowDialog(this);
			frm.Dispose();
		}

		private void cmbSrcInput_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceInput.DeviceLines.Num = (short)cmbSrcInput.SelectedIndex;
			trInpVolume.Value = AudioEditor.DeviceInput.DeviceLines.Volume;
			trInpVolBalance.Value = AudioEditor.DeviceInput.DeviceLines.VolumeBalance;
			chInpSelect.Checked = AudioEditor.DeviceInput.DeviceLines.Select;
		    if (AudioEditor.DeviceInput.DeviceLines.AdvancedCount >= 0) btnInpAdvanced.Visible = true;
			else btnInpAdvanced.Visible = false;
		}

		private void trInpVolume_Scroll(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceInput.DeviceLines.Volume = trInpVolume.Value;
		}

		private void trInpVolBalance_Scroll(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceInput.DeviceLines.VolumeBalance = (short)trInpVolBalance.Value;
		}

		private void chInpSelect_CheckedChanged(object sender, System.EventArgs e)
		{
			AudioEditor.DeviceInput.DeviceLines.Select = chInpSelect.Checked;
		}

		private void btnInpAdvanced_Click(object sender, System.EventArgs e)
		{
			formAdvanced frm = new formAdvanced();
			frm.device = "input";
			frm.ShowDialog(this);
			frm.Dispose();
		}

		private void AudioEditor_BlockOperation(object sender, AxNCTAUDIOEDITOR2Lib._IAudioEditor2Events_BlockOperationEvent e)
		{
			if (e.percent >= 0 && e.percent < 100 && formProgress.Visible == false) formProgress.Visible = true;
			switch(AudioEditor.Status)
			{
				case 1 : lblProgress.Text = "Play";break;
				case 2 : lblProgress.Text = "Record";break;
				case 3 : lblProgress.Text = "Load";break;
				case 4 : lblProgress.Text = "Save";break;
				case 5 : lblProgress.Text = "Pause";break;
				case 6 : lblProgress.Text = "Copy";break;
				case 7 : lblProgress.Text = "Reset Waveform";break;
				case 10 : lblProgress.Text = "Invert";break;
				case 11 : lblProgress.Text = "Reverse";break;
				case 12 : lblProgress.Text = "Normalize";break;
				case 13 : lblProgress.Text = "Silence";break;
				case 14 : lblProgress.Text = "Stretch";break;
				case 15 : lblProgress.Text = "Trim";break;
				case 16 : lblProgress.Text = "Delete Silence";break;
				case 17 : lblProgress.Text = "Delete";break;
				case 18 : lblProgress.Text = "Insert Silence";break;
				case 19 : lblProgress.Text = "Paste Mix";break;
				case 20 : lblProgress.Text = "Paste";break;
				case 21 : lblProgress.Text = "ConvertSimpleType";break;
				case 30 : lblProgress.Text = "Delay";break;
				case 31 : lblProgress.Text = "Phaser";break;
				case 32 : lblProgress.Text = "Flanger";break;
				case 33 : lblProgress.Text = "Reverb";break;
				case 40 : lblProgress.Text = "FFT Filter";break;
				case 41 : lblProgress.Text = "Low Pass Filter";break;
				case 42 : lblProgress.Text = "Band Pass Filter";break;
				case 43 : lblProgress.Text = "High Pass Filter";break;
				case 44 : lblProgress.Text = "Notch Filter";break;
				case 45 : lblProgress.Text = "Low Shelf  Filter";break;
				case 46 : lblProgress.Text = "High Shelf Filter";break;
				case 47 : lblProgress.Text = "PeakEQFilter";break;
				case 50 : lblProgress.Text = "Amplify";break;
				case 51 : lblProgress.Text = "Fade";break;
				case 52 : lblProgress.Text = "Vibrato";break;
				case 53 : lblProgress.Text = "Add Noise";break;
				case 54 : lblProgress.Text = "Advanced Mix";break;
				case 55 : lblProgress.Text = "Mix Stereo Channels";break;
				case 56 : lblProgress.Text = "Envelope";break;
				case 57 : lblProgress.Text = "Compressor";break;
				case 58 : lblProgress.Text = "Expander";break;
				case 60 : lblProgress.Text = "Equalizer";break;
				default : lblProgress.Text = "";break;
			}
			Progress.Value = e.percent;
			Application.DoEvents();
		}

		private void AudioEditor_EndOperation(object sender, System.EventArgs e)
		{
			formProgress.Visible = false;
		}

		private void cmdCancel_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Stop();
			Progress.Value = 0;
			formProgress.Visible =false;
		}

		private void ToolBar2_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			switch(ToolBar2.Buttons.IndexOf(e.Button))
			{
				case 0:AudioEditor.Transform.Amplify(120);break;
				case 1:AudioEditor.Transform.Amplify(80);break;
				case 2:AudioEditor.Transform.Invert();break;
				case 3:AudioEditor.Transform.Fade(0, 100);break;
				case 4:AudioEditor.Transform.Fade(100, 0);break;
				case 5:AudioEditor.Transform.Silence();break;
				case 6:AudioEditor.Transform.Normalize(90, true);break;
				case 8:AudioEditor.Transform.InsertSilence(100);break;
				case 9:AudioEditor.Transform.DeleteSilence(-16, 60, 300);break;
				case 11:AudioEditor.Transform.Delay(120, 30, 10);break;
				case 12:AudioEditor.Transform.Flanger(50, 30, 10, 50, 5, 0);break;
				case 13:AudioEditor.Transform.Vibrato(25, 3, 0);break;
				case 14:AudioEditor.Transform.Reverse();break;
				case 15:AudioEditor.Transform.Compressor(-30, 3, 10);break;
				case 17:AudioEditor.Transform.NotchFilter(8000, 50);break;
				case 18:AudioEditor.Transform.BandPassFilter(8000, 50);break;
				case 19:AudioEditor.Transform.LowPassFilter(8000, 50);break;
				case 20:AudioEditor.Transform.LowShelfFilter(8000, -40, 100);break;
				case 21:AudioEditor.Transform.HighPassFilter(8000, 50);break;
				case 22:AudioEditor.Transform.HighShelfFilter(8000, -40, 100);break;
				case 24:AudioEditor.Transform.TimeStretch(80);break;
			}
		}

		private void AudioEditor_Meter(object sender, AxNCTAUDIOEDITOR2Lib._IAudioEditor2Events_MeterEvent e)
		{
			Progress1.Value = e.levelLeft;
			Progress2.Value = e.levelRight;
		}

		private void mnuViewWaveForm_Click(object sender, System.EventArgs e)
		{
			AudioEditor.TypeView = NCTAUDIOEDITOR2Lib.TypeViewConstants.WAVEFORM;
			mnuViewWaveForm.Checked = true;
			mnuViewSpectral.Checked = false;
		}

		private void mnuViewSpectral_Click(object sender, System.EventArgs e)
		{
			AudioEditor.TypeView = NCTAUDIOEDITOR2Lib.TypeViewConstants.SPECTRAL;
			mnuViewWaveForm.Checked = false;
			mnuViewSpectral.Checked = true;	
		}

		private void mnuNew_Click(object sender, System.EventArgs e)
		{
			NewFile();
		}

		private void mnuOpen_Click(object sender, System.EventArgs e)
		{
			OpenFile();
		}

		private void mnuSave_Click(object sender, System.EventArgs e)
		{
			SaveFile(false);
		}

		private void mnuSaveSelect_Click(object sender, System.EventArgs e)
		{
			SaveFile(true);
		}

		private void mnuExit_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void udZHstart_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Position.StartView = ((int)udZHstart.Value * AudioEditor.Position.TotalSamples / 100) + 1;
		}

		private void udZHend_Click(object sender, System.EventArgs e)
		{
		    AudioEditor.Position.EndView = ((int)udZHend.Value * AudioEditor.Position.TotalSamples / 100) + 1;
		}

		private void udZoomV_Click(object sender, System.EventArgs e)
		{
		    AudioEditor.ZoomVertical((int)udZoomV.Value);
		}

		private void udSelStart_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Position.StartSelect = ((int)udSelStart.Value * AudioEditor.Position.TotalSamples / 100) + 1;
		}

		private void udSelEnd_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Position.EndSelect = ((int)udSelEnd.Value * AudioEditor.Position.TotalSamples / 100) + 1;
		}

		private void chSelect_CheckedChanged(object sender, System.EventArgs e)
		{
			AudioEditor.Position.Selected = chSelect.Checked;
		}

		private void mnuConvert_Click(object sender, System.EventArgs e)
		{
			formConvertSampleType frm = new formConvertSampleType();
			frm.frm = this;
			frm.ShowDialog();
			frm.Dispose();
		}

		private void mnuInfo_Click(object sender, System.EventArgs e)
		{
			formInformation frm = new formInformation();
			frm.frm = this;
			frm.ShowDialog();
			frm.Dispose();
		}

		private void mnuMarkers_Click(object sender, System.EventArgs e)
		{
			formMarkers frm = new formMarkers();
			frm.frm = this;
			frm.ShowDialog();
			frm.Dispose();
		}

		private void mnuCopy_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Copy();
		}

		private void mnuCut_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Cut();
		}

		private void mnuPaste_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Paste();
		}

		private void mnuPasteFile_Click(object sender, System.EventArgs e)
		{
            OpenFileDialog1.FileName = "";
            OpenFileDialog1.Title = "Open File ...";
            OpenFileDialog1.Filter = "Wav Files (*.wav)|*.wav" +
				"|MPEG Files (*.mp3;*.mp2;*.mpeg)|*.mp3,*.mp2,*.mpeg" +
				"|OggVorbis Files (*.ogg)|*.ogg" +
				"|AVI Files (*.avi)|*.avi" +
				"|G.72x Files (*.g721;*.g723;*.g726)|*.*.g721,*.g723,*.g726" +
				"|VOX Files (*.vox)|*.vox" +
				"|RAW Files (*.raw; *.pcm)|*.raw;*.pcm";
            if (OpenFileDialog1.ShowDialog() == DialogResult.OK)
				AudioEditor.PasteFromFile(OpenFileDialog1.FileName);
		}

		private void mnuCopyWin_Click(object sender, System.EventArgs e)
		{
			AudioEditor.CopyToClipboard();
		}

		private void mnuPasteWin_Click(object sender, System.EventArgs e)
		{
			AudioEditor.PasteFromClipboard();
		}

		private void mnuMix_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Mix(100, 100);
		}

		private void mnuMixFile_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog1.FileName = "";
			OpenFileDialog1.Title = "Open File ...";
			OpenFileDialog1.Filter = "Wav Files (*.wav)|*.wav" +
				"|MPEG Files (*.mp3;*.mp2;*.mpeg)|*.mp3,*.mp2,*.mpeg" +
				"|OggVorbis Files (*.ogg)|*.ogg" +
				"|AVI Files (*.avi)|*.avi" +
				"|G.72x Files (*.g721;*.g723;*.g726)|*.*.g721,*.g723,*.g726" +
				"|VOX Files (*.vox)|*.vox" +
				"|RAW Files (*.raw; *.pcm)|*.raw;*.pcm";
			if (OpenFileDialog1.ShowDialog() == DialogResult.OK)
				AudioEditor.MixFromFile(100, OpenFileDialog1.FileName, 100);
		}

		private void mnuInsertSil_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Transform.InsertSilence(100);
		}

		private void mnuDeleteSil_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Transform.DeleteSilence(40, 1, 100);
		}

		private void mnuPlay_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Play(NCTAUDIOEDITOR2Lib.PlayTypeConstants.NORMALPLAY);
		}

		private void mnuPlayEnd_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Play(NCTAUDIOEDITOR2Lib.PlayTypeConstants.PLAYTOEND);
		}

		private void mnuPlayLoop_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Play(NCTAUDIOEDITOR2Lib.PlayTypeConstants.PLAYLOOPED);
		}

		private void mnuRecord_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Record(NCTAUDIOEDITOR2Lib.RecordTypeConstants.RECORD_MIX);
		}

		private void mnuPause_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Pause();
		}

		private void mnuContinue_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Continue();
		}

		private void mnuSop_Click(object sender, System.EventArgs e)
		{
			AudioEditor.Stop();
		}
	}
}
