#include "stdafx.h"
#include "TestVCAudioEditor.h"

#include "TestVCAudioEditorDoc.h"
#include "TestVCAudioEditorView.h"

STDMETHODIMP CEditorCallback::Invoke(
		DISPID		dispIdMember, 
		REFIID		riid, 
		LCID		lcid, 
		WORD		wFlags, 
		DISPPARAMS*	pDispParams, 
		VARIANT*	pVarResult, 
		EXCEPINFO*	pExcepInfo, 
		UINT*		puArgErr) 
	{ 
		HRESULT hr;
		VARIANTARG varg0;
		VariantInit(&varg0);
		switch(dispIdMember) {
		case 6:
			hr=DispGetParam(pDispParams,0,VT_I4,&varg0,puArgErr);
			if (FAILED(hr)) return(E_NOTIMPL);
			TestView->OperationBlock(varg0.lVal);
			return(S_OK);
			break;
		case 11:
			TestView->EndOperation();
			return(S_OK);
			break;
		default:
			return(E_NOTIMPL); 
		}
	}