//----------------------------------------------------------------------------
#ifndef Unit6H
#define Unit6H
//----------------------------------------------------------------------------
#include <ComCtrls.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "NCTAUDIOEDITOR2Lib_OCX.h"
//----------------------------------------------------------------------------
class TfrmCueList : public TForm
{
__published:
    TButton *btnChange;
    TButton *btnDelete;
    TButton *btnAdd;
    TEdit *tPosition;
    TEdit *tLength;
    TEdit *tLabel;
    TEdit *tNote;
    TEdit *tText;
    TLabel *Label18;
    TLabel *Label17;
    TLabel *Label16;
    TLabel *Label15;
    TLabel *Label14;
    TListView *lvIndex;
    void __fastcall btnChangeClick(TObject *Sender);
    void __fastcall btnAddClick(TObject *Sender);
    void __fastcall btnDeleteClick(TObject *Sender);
    void __fastcall lvIndexSelectItem(TObject *Sender, TListItem *Item, bool Selected);
    void __fastcall FormShow(TObject *Sender);
private:
public:
	virtual __fastcall TfrmCueList(TComponent* AOwner);
    void ChangeCueIndex(void);
    void ReloadCueList(void);
    IAudioEditor2MarkersPtr Markers;
};
//----------------------------------------------------------------------------
extern PACKAGE TfrmCueList *frmCueList;
//----------------------------------------------------------------------------
#endif    
