//---------------------------------------------------------------------------

#ifndef InfoH
#define InfoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
#include "NCTAUDIOEDITOR2Lib_OCX.h"
//---------------------------------------------------------------------------
class TfrmInfo : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label5;
    TEdit *infoTitle;
    TLabel *Label6;
    TEdit *infoArtist;
    TLabel *Label7;
    TEdit *infoAlbum;
    TLabel *Label12;
    TComboBox *infoGenre;
    TLabel *Label8;
    TEdit *infoCopyright;
    TLabel *Label9;
    TEdit *infoYear;
    TLabel *Label10;
    TEdit *infoTrack;
    TLabel *Label11;
    TEdit *infoComment;
    TButton *btnApply;
    TButton *btnReset;
    TRadioGroup *infoMTV;
    TLabel *Label3;
    TEdit *infoComposer;
    TLabel *Label4;
    TEdit *infoEncodedBy;
    TLabel *Label13;
    TEdit *infoURL;
    void __fastcall btnResetClick(TObject *Sender);
    void __fastcall btnApplyClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:
    void ResetData();	// User declarations
public:		// User declarations
    __fastcall TfrmInfo(TComponent* Owner);
    IAudioEditor2FileInfoPtr Info;
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmInfo *frmInfo;
//---------------------------------------------------------------------------
#endif
