//----------------------------------------------------------------------------
#ifndef SetupH
#define SetupH
//----------------------------------------------------------------------------
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include "CSPIN.h"
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include "NCTAUDIOEDITOR2Lib_OCX.h"
//----------------------------------------------------------------------------
class TfrmOptions : public TForm
{
__published:
    TPageControl *PageControl1;
    TTabSheet *tSystem;
    TTabSheet *tScales;
    TTabSheet *tColors;
    TTabSheet *tData;
    TTabSheet *tRecording;
    TGroupBox *GroupBox1;
    TLabel *Label1;
    TCSpinEdit *spinBufSize;
    TLabel *Label2;
    TCSpinEdit *spinBufCount;
    TLabel *Label3;
    TCSpinEdit *spinBufTick;
    TLabel *Label4;
    TGroupBox *GroupBox2;
    TEdit *txtTempDir;
    TLabel *Label5;
    TCSpinEdit *spinUndoRedo;
    TCheckBox *chSENAI;
    TGroupBox *GroupBox3;
    TCheckBox *chHSEnable;
    TCheckBox *chHSGrid;
    TComboBox *cmbHSType;
    TButton *btnHSFont;
    TGroupBox *GroupBox4;
    TCheckBox *chVSEnable;
    TCheckBox *chVSGrid;
    TComboBox *cmbVSType;
    TButton *btnVSFont;
    TComboBox *cmbVSOrien;
    TRadioGroup *rgBorder;
    TGroupBox *GroupBox5;
    TCheckBox *chMarkerBarEnabled;
    TCheckBox *chMarkerBkEnabled;
    TListBox *lstColors;
    TButton *btnChangeColor;
    TPanel *ColorPanel;
    TColorDialog *ColorDialog1;
    TCheckBox *chSmooth;
    TLabel *lblCrossfadeTime;
    TCSpinEdit *spinCrossfadeTime;
    TLabel *lblCrossfadeTimeMs;
    TGroupBox *GroupBox6;
    TGroupBox *gbAttack;
    TGroupBox *gbRelease;
    TGroupBox *GroupBox9;
    TRadioGroup *rgVisType;
    TCSpinEdit *spinAttackTime;
    TCSpinEdit *spinAttackLevel;
    TCSpinEdit *spinReleaseLevel;
    TCSpinEdit *spinReleaseTime;
    TLabel *lblAttackTime;
    TLabel *lblAttackLevel;
    TLabel *lblReleaseLevel;
    TLabel *lblReleaseTime;
    TCheckBox *chAccuEnabled;
    TCSpinEdit *spinAGCHighLevel;
    TCSpinEdit *spinAGCRate;
    TCSpinEdit *spinAGCLowLevel;
    TCheckBox *chAGCEnabled;
    TLabel *lblAGCLowLevel;
    TLabel *lblAGCHighLevel;
    TLabel *lblAGCRate;
    TButton *btnChangeDir;
    TFontDialog *FontDialog1;
    TLabel *Label15;
    TLabel *Label16;
    TLabel *Label17;
    void __fastcall lstColorsClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall btnChangeColorClick(TObject *Sender);
    void __fastcall btnChangeDirClick(TObject *Sender);
    void __fastcall chAGCEnabledClick(TObject *Sender);
    void __fastcall chAccuEnabledClick(TObject *Sender);
    void __fastcall spinBufSizeChange(TObject *Sender);
    void __fastcall spinBufCountChange(TObject *Sender);
    void __fastcall spinBufTickChange(TObject *Sender);
    void __fastcall spinUndoRedoChange(TObject *Sender);
    void __fastcall chSENAIClick(TObject *Sender);
    void __fastcall chHSEnableClick(TObject *Sender);
    void __fastcall chHSGridClick(TObject *Sender);
    void __fastcall chVSEnableClick(TObject *Sender);
    void __fastcall chVSGridClick(TObject *Sender);
    void __fastcall cmbHSTypeClick(TObject *Sender);
    void __fastcall cmbVSTypeClick(TObject *Sender);
    void __fastcall cmbVSOrienClick(TObject *Sender);
    void __fastcall rgBorderClick(TObject *Sender);
    void __fastcall chMarkerBarEnabledClick(TObject *Sender);
    void __fastcall chMarkerBkEnabledClick(TObject *Sender);
    void __fastcall chSmoothClick(TObject *Sender);
    void __fastcall spinCrossfadeTimeChange(TObject *Sender);
    void __fastcall spinAttackTimeChange(TObject *Sender);
    void __fastcall spinAttackLevelChange(TObject *Sender);
    void __fastcall spinReleaseTimeChange(TObject *Sender);
    void __fastcall spinReleaseLevelChange(TObject *Sender);
    void __fastcall spinAGCLowLevelChange(TObject *Sender);
    void __fastcall spinAGCHighLevelChange(TObject *Sender);
    void __fastcall spinAGCRateChange(TObject *Sender);
    void __fastcall rgVisTypeClick(TObject *Sender);
    void __fastcall btnHSFontClick(TObject *Sender);
    void __fastcall btnVSFontClick(TObject *Sender);
private:
public:
	virtual __fastcall TfrmOptions(TComponent* AOwner);
    IAudioEditor2ColorsPtr Colors;
};
//----------------------------------------------------------------------------
extern PACKAGE TfrmOptions *frmOptions;
//----------------------------------------------------------------------------
#endif    
