//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", frmMain);
USEFORM("CueList.cpp", frmCueList);
USEFORM("Info.cpp", frmInfo);
USEFORM("Convert.cpp", frmConvert);
USEFORM("Adv.cpp", frmAdv);
USEFORM("Src.cpp", srcFrame); /* TFrame: File Type */
USEFORM("Devices.cpp", frmDevices);
USEFORM("Setup.cpp", frmOptions);
USEFORM("Vox.cpp", frmVox);
USEFORM("Raw.cpp", frmRaw);
USEFORM("About.cpp", frmAbout);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
         Application->Initialize();
         Application->CreateForm(__classid(TfrmMain), &frmMain);
         Application->CreateForm(__classid(TfrmCueList), &frmCueList);
         Application->CreateForm(__classid(TfrmInfo), &frmInfo);
         Application->CreateForm(__classid(TfrmConvert), &frmConvert);
         Application->CreateForm(__classid(TfrmDevices), &frmDevices);
         Application->CreateForm(__classid(TfrmOptions), &frmOptions);
         Application->CreateForm(__classid(TfrmVox), &frmVox);
         Application->CreateForm(__classid(TfrmRaw), &frmRaw);
         Application->CreateForm(__classid(TfrmAbout), &frmAbout);
         Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    catch (...)
    {
         try
         {
             throw Exception("");
         }
         catch (Exception &exception)
         {
             Application->ShowException(&exception);
         }
    }
    return 0;
}
//---------------------------------------------------------------------------
