using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace TestCSAudioEditor2
{
	public class formProperty : System.Windows.Forms.Form
	{
		internal System.Windows.Forms.Button cmdApply;
		internal System.Windows.Forms.Button cmdCancel;
		internal System.Windows.Forms.Button cmdOk;
		internal System.Windows.Forms.TabControl tabProperty;
		internal System.Windows.Forms.TabPage tabSystem;
		public System.Windows.Forms.CheckBox chMarkerBackground;
		public System.Windows.Forms.CheckBox chMarkerBar;
		public System.Windows.Forms.GroupBox frmRecordVisType;
		public System.Windows.Forms.RadioButton opRecordVisType1;
		public System.Windows.Forms.RadioButton opRecordVisType2;
		public System.Windows.Forms.GroupBox frmTempDirectory;
		public System.Windows.Forms.TextBox txtTempDirectory;
		public System.Windows.Forms.GroupBox frmRecPlayBuffer;
		internal System.Windows.Forms.NumericUpDown udBufferSize;
		internal System.Windows.Forms.NumericUpDown udBufferCount;
		internal System.Windows.Forms.NumericUpDown udTickSize;
		public System.Windows.Forms.Label Label7;
		public System.Windows.Forms.Label Label3;
		public System.Windows.Forms.Label Label2;
		public System.Windows.Forms.Label Label1;
		internal System.Windows.Forms.TabPage tabScales;
		public System.Windows.Forms.GroupBox frmScaleX;
		internal System.Windows.Forms.TextBox txtFontX;
		public System.Windows.Forms.RadioButton opScaleXType2;
		public System.Windows.Forms.RadioButton opScaleXType1;
		public System.Windows.Forms.CheckBox chScaleX;
		public System.Windows.Forms.CheckBox chScaleXGrid;
		public System.Windows.Forms.Button cmdFontX;
		public System.Windows.Forms.GroupBox frmScaleY;
		internal System.Windows.Forms.TextBox txtFontY;
		public System.Windows.Forms.RadioButton opScaleYType2;
		public System.Windows.Forms.RadioButton opScaleYType1;
		public System.Windows.Forms.CheckBox chScaleYGrid;
		public System.Windows.Forms.CheckBox chScaleY;
		public System.Windows.Forms.RadioButton opScaleYType3;
		public System.Windows.Forms.Button cmdFontY;
		public System.Windows.Forms.GroupBox frmBorder;
		public System.Windows.Forms.RadioButton opBorderType3;
		public System.Windows.Forms.RadioButton opBorderType0;
		public System.Windows.Forms.RadioButton opBorderType2;
		public System.Windows.Forms.RadioButton opBorderType1;
		public System.Windows.Forms.RadioButton opBorderType4;
		internal System.Windows.Forms.TabPage tabColors;
		internal System.Windows.Forms.ListView lstColors;
		public System.Windows.Forms.Button cmdColorChoice;
		public System.Windows.Forms.PictureBox ColorView;
		internal System.Windows.Forms.TabPage tabData;
		public System.Windows.Forms.CheckBox chSaveExtraInfo;
		internal System.Windows.Forms.NumericUpDown udUndoRedoCount;
		internal System.Windows.Forms.NumericUpDown udSmoothLength;
		public System.Windows.Forms.Label Label5;
		public System.Windows.Forms.Label Label6;
		public System.Windows.Forms.Label Label4;
		public System.Windows.Forms.CheckBox chSmooth;
		internal System.Windows.Forms.TabPage tabRecording;
		internal System.Windows.Forms.GroupBox frmAGC;
		internal System.Windows.Forms.NumericUpDown udAGCHighLevel;
		internal System.Windows.Forms.NumericUpDown udAGCLowLevel;
		internal System.Windows.Forms.Label Label14;
		internal System.Windows.Forms.Label Label13;
		internal System.Windows.Forms.Label Label12;
		internal System.Windows.Forms.CheckBox chAGCEnabled;
		internal System.Windows.Forms.GroupBox frmAccu;
		internal System.Windows.Forms.GroupBox frmAccuRelease;
		internal System.Windows.Forms.Label Label10;
		internal System.Windows.Forms.Label Label11;
		internal System.Windows.Forms.NumericUpDown udAccuReleaseLevel;
		internal System.Windows.Forms.NumericUpDown udAccuReleaseTime;
		internal System.Windows.Forms.GroupBox frmAccuAttack;
		internal System.Windows.Forms.Label Label9;
		internal System.Windows.Forms.Label Label8;
		internal System.Windows.Forms.NumericUpDown udAccuAttackLevel;
		internal System.Windows.Forms.NumericUpDown udAccuAttackTime;
		internal System.Windows.Forms.CheckBox chAccuEnabled;
		internal System.Windows.Forms.ColumnHeader colColorsText;
		internal System.Windows.Forms.ColumnHeader colColorsValue;
		internal System.Windows.Forms.NumericUpDown udAGCAttackTime;
		private System.Windows.Forms.FontDialog FontDialog1;
		private System.Windows.Forms.ColorDialog ColorDialog1;
		private System.ComponentModel.Container components = null;

		public formProperty()
		{
			InitializeComponent();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Windows.Forms.ListViewItem listViewItem1 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Digital Waveform", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem2 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Analog Waveform", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem3 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Background", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem4 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Center Line", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem5 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Selected  Digital Waveform", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem6 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Selected Analog Waveform", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem7 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Selected Background", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem8 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Selected Center Line", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem9 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Grid", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem10 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Cursor", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem11 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Play Cursor", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem12 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Boundary", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem13 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Scale", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem14 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "Font", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem15 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "CueMarker", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem16 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "RangeMarker", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			System.Windows.Forms.ListViewItem listViewItem17 = new System.Windows.Forms.ListViewItem(new System.Windows.Forms.ListViewItem.ListViewSubItem[] {
																																								 new System.Windows.Forms.ListViewItem.ListViewSubItem(null, "RangeMarkerBackground", System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204))))}, -1);
			this.cmdApply = new System.Windows.Forms.Button();
			this.cmdCancel = new System.Windows.Forms.Button();
			this.cmdOk = new System.Windows.Forms.Button();
			this.tabProperty = new System.Windows.Forms.TabControl();
			this.tabSystem = new System.Windows.Forms.TabPage();
			this.chMarkerBackground = new System.Windows.Forms.CheckBox();
			this.chMarkerBar = new System.Windows.Forms.CheckBox();
			this.frmRecordVisType = new System.Windows.Forms.GroupBox();
			this.opRecordVisType1 = new System.Windows.Forms.RadioButton();
			this.opRecordVisType2 = new System.Windows.Forms.RadioButton();
			this.frmTempDirectory = new System.Windows.Forms.GroupBox();
			this.txtTempDirectory = new System.Windows.Forms.TextBox();
			this.frmRecPlayBuffer = new System.Windows.Forms.GroupBox();
			this.udBufferSize = new System.Windows.Forms.NumericUpDown();
			this.udBufferCount = new System.Windows.Forms.NumericUpDown();
			this.udTickSize = new System.Windows.Forms.NumericUpDown();
			this.Label7 = new System.Windows.Forms.Label();
			this.Label3 = new System.Windows.Forms.Label();
			this.Label2 = new System.Windows.Forms.Label();
			this.Label1 = new System.Windows.Forms.Label();
			this.tabScales = new System.Windows.Forms.TabPage();
			this.frmScaleX = new System.Windows.Forms.GroupBox();
			this.txtFontX = new System.Windows.Forms.TextBox();
			this.opScaleXType2 = new System.Windows.Forms.RadioButton();
			this.opScaleXType1 = new System.Windows.Forms.RadioButton();
			this.chScaleX = new System.Windows.Forms.CheckBox();
			this.chScaleXGrid = new System.Windows.Forms.CheckBox();
			this.cmdFontX = new System.Windows.Forms.Button();
			this.frmScaleY = new System.Windows.Forms.GroupBox();
			this.txtFontY = new System.Windows.Forms.TextBox();
			this.opScaleYType2 = new System.Windows.Forms.RadioButton();
			this.opScaleYType1 = new System.Windows.Forms.RadioButton();
			this.chScaleYGrid = new System.Windows.Forms.CheckBox();
			this.chScaleY = new System.Windows.Forms.CheckBox();
			this.opScaleYType3 = new System.Windows.Forms.RadioButton();
			this.cmdFontY = new System.Windows.Forms.Button();
			this.frmBorder = new System.Windows.Forms.GroupBox();
			this.opBorderType3 = new System.Windows.Forms.RadioButton();
			this.opBorderType0 = new System.Windows.Forms.RadioButton();
			this.opBorderType2 = new System.Windows.Forms.RadioButton();
			this.opBorderType1 = new System.Windows.Forms.RadioButton();
			this.opBorderType4 = new System.Windows.Forms.RadioButton();
			this.tabColors = new System.Windows.Forms.TabPage();
			this.lstColors = new System.Windows.Forms.ListView();
			this.colColorsText = new System.Windows.Forms.ColumnHeader();
			this.colColorsValue = new System.Windows.Forms.ColumnHeader();
			this.cmdColorChoice = new System.Windows.Forms.Button();
			this.ColorView = new System.Windows.Forms.PictureBox();
			this.tabData = new System.Windows.Forms.TabPage();
			this.chSaveExtraInfo = new System.Windows.Forms.CheckBox();
			this.udUndoRedoCount = new System.Windows.Forms.NumericUpDown();
			this.udSmoothLength = new System.Windows.Forms.NumericUpDown();
			this.Label5 = new System.Windows.Forms.Label();
			this.Label6 = new System.Windows.Forms.Label();
			this.Label4 = new System.Windows.Forms.Label();
			this.chSmooth = new System.Windows.Forms.CheckBox();
			this.tabRecording = new System.Windows.Forms.TabPage();
			this.frmAGC = new System.Windows.Forms.GroupBox();
			this.udAGCAttackTime = new System.Windows.Forms.NumericUpDown();
			this.udAGCHighLevel = new System.Windows.Forms.NumericUpDown();
			this.udAGCLowLevel = new System.Windows.Forms.NumericUpDown();
			this.Label14 = new System.Windows.Forms.Label();
			this.Label13 = new System.Windows.Forms.Label();
			this.Label12 = new System.Windows.Forms.Label();
			this.chAGCEnabled = new System.Windows.Forms.CheckBox();
			this.frmAccu = new System.Windows.Forms.GroupBox();
			this.frmAccuRelease = new System.Windows.Forms.GroupBox();
			this.Label10 = new System.Windows.Forms.Label();
			this.Label11 = new System.Windows.Forms.Label();
			this.udAccuReleaseLevel = new System.Windows.Forms.NumericUpDown();
			this.udAccuReleaseTime = new System.Windows.Forms.NumericUpDown();
			this.frmAccuAttack = new System.Windows.Forms.GroupBox();
			this.Label9 = new System.Windows.Forms.Label();
			this.Label8 = new System.Windows.Forms.Label();
			this.udAccuAttackLevel = new System.Windows.Forms.NumericUpDown();
			this.udAccuAttackTime = new System.Windows.Forms.NumericUpDown();
			this.chAccuEnabled = new System.Windows.Forms.CheckBox();
			this.FontDialog1 = new System.Windows.Forms.FontDialog();
			this.ColorDialog1 = new System.Windows.Forms.ColorDialog();
			this.tabProperty.SuspendLayout();
			this.tabSystem.SuspendLayout();
			this.frmRecordVisType.SuspendLayout();
			this.frmTempDirectory.SuspendLayout();
			this.frmRecPlayBuffer.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.udBufferSize)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udBufferCount)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udTickSize)).BeginInit();
			this.tabScales.SuspendLayout();
			this.frmScaleX.SuspendLayout();
			this.frmScaleY.SuspendLayout();
			this.frmBorder.SuspendLayout();
			this.tabColors.SuspendLayout();
			this.tabData.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.udUndoRedoCount)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udSmoothLength)).BeginInit();
			this.tabRecording.SuspendLayout();
			this.frmAGC.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.udAGCAttackTime)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udAGCHighLevel)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udAGCLowLevel)).BeginInit();
			this.frmAccu.SuspendLayout();
			this.frmAccuRelease.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.udAccuReleaseLevel)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udAccuReleaseTime)).BeginInit();
			this.frmAccuAttack.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.udAccuAttackLevel)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.udAccuAttackTime)).BeginInit();
			this.SuspendLayout();
			// 
			// cmdApply
			// 
			this.cmdApply.Location = new System.Drawing.Point(344, 224);
			this.cmdApply.Name = "cmdApply";
			this.cmdApply.Size = new System.Drawing.Size(75, 24);
			this.cmdApply.TabIndex = 7;
			this.cmdApply.Text = "Apply";
			this.cmdApply.Click += new System.EventHandler(this.cmdApply_Click);
			// 
			// cmdCancel
			// 
			this.cmdCancel.Location = new System.Drawing.Point(264, 224);
			this.cmdCancel.Name = "cmdCancel";
			this.cmdCancel.Size = new System.Drawing.Size(75, 24);
			this.cmdCancel.TabIndex = 6;
			this.cmdCancel.Text = "Cancel";
			this.cmdCancel.Click += new System.EventHandler(this.cmdCancel_Click);
			// 
			// cmdOk
			// 
			this.cmdOk.Location = new System.Drawing.Point(176, 224);
			this.cmdOk.Name = "cmdOk";
			this.cmdOk.Size = new System.Drawing.Size(75, 24);
			this.cmdOk.TabIndex = 5;
			this.cmdOk.Text = "Ok";
			this.cmdOk.Click += new System.EventHandler(this.cmdOk_Click);
			// 
			// tabProperty
			// 
			this.tabProperty.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.tabSystem,
																					  this.tabScales,
																					  this.tabColors,
																					  this.tabData,
																					  this.tabRecording});
			this.tabProperty.Location = new System.Drawing.Point(8, 8);
			this.tabProperty.Name = "tabProperty";
			this.tabProperty.SelectedIndex = 0;
			this.tabProperty.Size = new System.Drawing.Size(417, 210);
			this.tabProperty.TabIndex = 4;
			// 
			// tabSystem
			// 
			this.tabSystem.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.chMarkerBackground,
																					this.chMarkerBar,
																					this.frmRecordVisType,
																					this.frmTempDirectory,
																					this.frmRecPlayBuffer});
			this.tabSystem.Location = new System.Drawing.Point(4, 22);
			this.tabSystem.Name = "tabSystem";
			this.tabSystem.Size = new System.Drawing.Size(409, 184);
			this.tabSystem.TabIndex = 0;
			this.tabSystem.Text = "System";
			// 
			// chMarkerBackground
			// 
			this.chMarkerBackground.BackColor = System.Drawing.SystemColors.Control;
			this.chMarkerBackground.Cursor = System.Windows.Forms.Cursors.Default;
			this.chMarkerBackground.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chMarkerBackground.Location = new System.Drawing.Point(225, 153);
			this.chMarkerBackground.Name = "chMarkerBackground";
			this.chMarkerBackground.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chMarkerBackground.Size = new System.Drawing.Size(161, 19);
			this.chMarkerBackground.TabIndex = 50;
			this.chMarkerBackground.Text = "Marker Background Enabled";
			// 
			// chMarkerBar
			// 
			this.chMarkerBar.BackColor = System.Drawing.SystemColors.Control;
			this.chMarkerBar.Cursor = System.Windows.Forms.Cursors.Default;
			this.chMarkerBar.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chMarkerBar.Location = new System.Drawing.Point(225, 126);
			this.chMarkerBar.Name = "chMarkerBar";
			this.chMarkerBar.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chMarkerBar.Size = new System.Drawing.Size(117, 19);
			this.chMarkerBar.TabIndex = 49;
			this.chMarkerBar.Text = "Marker Bar Enabled";
			// 
			// frmRecordVisType
			// 
			this.frmRecordVisType.BackColor = System.Drawing.SystemColors.Control;
			this.frmRecordVisType.Controls.AddRange(new System.Windows.Forms.Control[] {
																						   this.opRecordVisType1,
																						   this.opRecordVisType2});
			this.frmRecordVisType.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmRecordVisType.Location = new System.Drawing.Point(6, 120);
			this.frmRecordVisType.Name = "frmRecordVisType";
			this.frmRecordVisType.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmRecordVisType.Size = new System.Drawing.Size(174, 54);
			this.frmRecordVisType.TabIndex = 48;
			this.frmRecordVisType.TabStop = false;
			this.frmRecordVisType.Text = "Record Visualization Type";
			// 
			// opRecordVisType1
			// 
			this.opRecordVisType1.BackColor = System.Drawing.SystemColors.Control;
			this.opRecordVisType1.Checked = true;
			this.opRecordVisType1.Cursor = System.Windows.Forms.Cursors.Default;
			this.opRecordVisType1.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opRecordVisType1.Location = new System.Drawing.Point(8, 20);
			this.opRecordVisType1.Name = "opRecordVisType1";
			this.opRecordVisType1.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opRecordVisType1.Size = new System.Drawing.Size(65, 21);
			this.opRecordVisType1.TabIndex = 44;
			this.opRecordVisType1.TabStop = true;
			this.opRecordVisType1.Text = "Type 1";
			// 
			// opRecordVisType2
			// 
			this.opRecordVisType2.BackColor = System.Drawing.SystemColors.Control;
			this.opRecordVisType2.Cursor = System.Windows.Forms.Cursors.Default;
			this.opRecordVisType2.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opRecordVisType2.Location = new System.Drawing.Point(96, 20);
			this.opRecordVisType2.Name = "opRecordVisType2";
			this.opRecordVisType2.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opRecordVisType2.Size = new System.Drawing.Size(59, 21);
			this.opRecordVisType2.TabIndex = 43;
			this.opRecordVisType2.TabStop = true;
			this.opRecordVisType2.Text = "Type 2";
			// 
			// frmTempDirectory
			// 
			this.frmTempDirectory.BackColor = System.Drawing.SystemColors.Control;
			this.frmTempDirectory.Controls.AddRange(new System.Windows.Forms.Control[] {
																						   this.txtTempDirectory});
			this.frmTempDirectory.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmTempDirectory.Location = new System.Drawing.Point(6, 63);
			this.frmTempDirectory.Name = "frmTempDirectory";
			this.frmTempDirectory.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmTempDirectory.Size = new System.Drawing.Size(399, 53);
			this.frmTempDirectory.TabIndex = 47;
			this.frmTempDirectory.TabStop = false;
			this.frmTempDirectory.Text = "Tempory Directory";
			// 
			// txtTempDirectory
			// 
			this.txtTempDirectory.AcceptsReturn = true;
			this.txtTempDirectory.AutoSize = false;
			this.txtTempDirectory.BackColor = System.Drawing.SystemColors.Window;
			this.txtTempDirectory.Cursor = System.Windows.Forms.Cursors.IBeam;
			this.txtTempDirectory.ForeColor = System.Drawing.SystemColors.WindowText;
			this.txtTempDirectory.Location = new System.Drawing.Point(9, 21);
			this.txtTempDirectory.MaxLength = 0;
			this.txtTempDirectory.Name = "txtTempDirectory";
			this.txtTempDirectory.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.txtTempDirectory.Size = new System.Drawing.Size(383, 23);
			this.txtTempDirectory.TabIndex = 30;
			this.txtTempDirectory.Text = "";
			// 
			// frmRecPlayBuffer
			// 
			this.frmRecPlayBuffer.BackColor = System.Drawing.SystemColors.Control;
			this.frmRecPlayBuffer.Controls.AddRange(new System.Windows.Forms.Control[] {
																						   this.udBufferSize,
																						   this.udBufferCount,
																						   this.udTickSize,
																						   this.Label7,
																						   this.Label3,
																						   this.Label2,
																						   this.Label1});
			this.frmRecPlayBuffer.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmRecPlayBuffer.Location = new System.Drawing.Point(6, 12);
			this.frmRecPlayBuffer.Name = "frmRecPlayBuffer";
			this.frmRecPlayBuffer.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmRecPlayBuffer.Size = new System.Drawing.Size(399, 48);
			this.frmRecPlayBuffer.TabIndex = 46;
			this.frmRecPlayBuffer.TabStop = false;
			this.frmRecPlayBuffer.Text = "Play/Record Buffer";
			// 
			// udBufferSize
			// 
			this.udBufferSize.Location = new System.Drawing.Point(93, 21);
			this.udBufferSize.Maximum = new System.Decimal(new int[] {
																		 2000,
																		 0,
																		 0,
																		 0});
			this.udBufferSize.Minimum = new System.Decimal(new int[] {
																		 200,
																		 0,
																		 0,
																		 0});
			this.udBufferSize.Name = "udBufferSize";
			this.udBufferSize.Size = new System.Drawing.Size(54, 20);
			this.udBufferSize.TabIndex = 38;
			this.udBufferSize.Value = new System.Decimal(new int[] {
																	   1000,
																	   0,
																	   0,
																	   0});
			// 
			// udBufferCount
			// 
			this.udBufferCount.Location = new System.Drawing.Point(201, 21);
			this.udBufferCount.Maximum = new System.Decimal(new int[] {
																		  10,
																		  0,
																		  0,
																		  0});
			this.udBufferCount.Minimum = new System.Decimal(new int[] {
																		  2,
																		  0,
																		  0,
																		  0});
			this.udBufferCount.Name = "udBufferCount";
			this.udBufferCount.Size = new System.Drawing.Size(39, 20);
			this.udBufferCount.TabIndex = 37;
			this.udBufferCount.Value = new System.Decimal(new int[] {
																		3,
																		0,
																		0,
																		0});
			// 
			// udTickSize
			// 
			this.udTickSize.Location = new System.Drawing.Point(330, 21);
			this.udTickSize.Minimum = new System.Decimal(new int[] {
																	   10,
																	   0,
																	   0,
																	   0});
			this.udTickSize.Name = "udTickSize";
			this.udTickSize.Size = new System.Drawing.Size(39, 20);
			this.udTickSize.TabIndex = 36;
			this.udTickSize.Value = new System.Decimal(new int[] {
																	 50,
																	 0,
																	 0,
																	 0});
			// 
			// Label7
			// 
			this.Label7.BackColor = System.Drawing.SystemColors.Control;
			this.Label7.Cursor = System.Windows.Forms.Cursors.Default;
			this.Label7.ForeColor = System.Drawing.SystemColors.ControlText;
			this.Label7.Location = new System.Drawing.Point(372, 22);
			this.Label7.Name = "Label7";
			this.Label7.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Label7.Size = new System.Drawing.Size(23, 20);
			this.Label7.TabIndex = 35;
			this.Label7.Text = "ms";
			// 
			// Label3
			// 
			this.Label3.BackColor = System.Drawing.SystemColors.Control;
			this.Label3.Cursor = System.Windows.Forms.Cursors.Default;
			this.Label3.ForeColor = System.Drawing.SystemColors.ControlText;
			this.Label3.Location = new System.Drawing.Point(243, 22);
			this.Label3.Name = "Label3";
			this.Label3.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Label3.Size = new System.Drawing.Size(87, 20);
			this.Label3.TabIndex = 28;
			this.Label3.Text = "buffers, with tick";
			// 
			// Label2
			// 
			this.Label2.BackColor = System.Drawing.SystemColors.Control;
			this.Label2.Cursor = System.Windows.Forms.Cursors.Default;
			this.Label2.ForeColor = System.Drawing.SystemColors.ControlText;
			this.Label2.Location = new System.Drawing.Point(147, 22);
			this.Label2.Name = "Label2";
			this.Label2.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Label2.Size = new System.Drawing.Size(54, 20);
			this.Label2.TabIndex = 25;
			this.Label2.Text = "ms, using";
			// 
			// Label1
			// 
			this.Label1.BackColor = System.Drawing.SystemColors.Control;
			this.Label1.Cursor = System.Windows.Forms.Cursors.Default;
			this.Label1.ForeColor = System.Drawing.SystemColors.ControlText;
			this.Label1.Location = new System.Drawing.Point(6, 22);
			this.Label1.Name = "Label1";
			this.Label1.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Label1.Size = new System.Drawing.Size(90, 20);
			this.Label1.TabIndex = 24;
			this.Label1.Text = "Total Buffer Size";
			// 
			// tabScales
			// 
			this.tabScales.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.frmScaleX,
																					this.frmScaleY,
																					this.frmBorder});
			this.tabScales.Location = new System.Drawing.Point(4, 22);
			this.tabScales.Name = "tabScales";
			this.tabScales.Size = new System.Drawing.Size(409, 184);
			this.tabScales.TabIndex = 1;
			this.tabScales.Text = "Scales";
			this.tabScales.Visible = false;
			// 
			// frmScaleX
			// 
			this.frmScaleX.BackColor = System.Drawing.SystemColors.Control;
			this.frmScaleX.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.txtFontX,
																					this.opScaleXType2,
																					this.opScaleXType1,
																					this.chScaleX,
																					this.chScaleXGrid,
																					this.cmdFontX});
			this.frmScaleX.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmScaleX.Location = new System.Drawing.Point(6, 6);
			this.frmScaleX.Name = "frmScaleX";
			this.frmScaleX.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmScaleX.Size = new System.Drawing.Size(195, 117);
			this.frmScaleX.TabIndex = 39;
			this.frmScaleX.TabStop = false;
			this.frmScaleX.Text = "Horizontal scale";
			// 
			// txtFontX
			// 
			this.txtFontX.Location = new System.Drawing.Point(9, 84);
			this.txtFontX.Name = "txtFontX";
			this.txtFontX.Size = new System.Drawing.Size(120, 20);
			this.txtFontX.TabIndex = 10;
			this.txtFontX.Text = "";
			// 
			// opScaleXType2
			// 
			this.opScaleXType2.BackColor = System.Drawing.SystemColors.Control;
			this.opScaleXType2.Cursor = System.Windows.Forms.Cursors.Default;
			this.opScaleXType2.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opScaleXType2.Location = new System.Drawing.Point(94, 42);
			this.opScaleXType2.Name = "opScaleXType2";
			this.opScaleXType2.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opScaleXType2.Size = new System.Drawing.Size(81, 13);
			this.opScaleXType2.TabIndex = 9;
			this.opScaleXType2.TabStop = true;
			this.opScaleXType2.Text = "Millisecond";
			// 
			// opScaleXType1
			// 
			this.opScaleXType1.BackColor = System.Drawing.SystemColors.Control;
			this.opScaleXType1.Checked = true;
			this.opScaleXType1.Cursor = System.Windows.Forms.Cursors.Default;
			this.opScaleXType1.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opScaleXType1.Location = new System.Drawing.Point(94, 22);
			this.opScaleXType1.Name = "opScaleXType1";
			this.opScaleXType1.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opScaleXType1.Size = new System.Drawing.Size(65, 13);
			this.opScaleXType1.TabIndex = 8;
			this.opScaleXType1.TabStop = true;
			this.opScaleXType1.Text = "Samples";
			// 
			// chScaleX
			// 
			this.chScaleX.BackColor = System.Drawing.SystemColors.Control;
			this.chScaleX.Checked = true;
			this.chScaleX.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chScaleX.Cursor = System.Windows.Forms.Cursors.Default;
			this.chScaleX.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chScaleX.Location = new System.Drawing.Point(8, 22);
			this.chScaleX.Name = "chScaleX";
			this.chScaleX.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chScaleX.Size = new System.Drawing.Size(62, 13);
			this.chScaleX.TabIndex = 7;
			this.chScaleX.Text = "Enabled";
			// 
			// chScaleXGrid
			// 
			this.chScaleXGrid.BackColor = System.Drawing.SystemColors.Control;
			this.chScaleXGrid.Checked = true;
			this.chScaleXGrid.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chScaleXGrid.Cursor = System.Windows.Forms.Cursors.Default;
			this.chScaleXGrid.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chScaleXGrid.Location = new System.Drawing.Point(9, 42);
			this.chScaleXGrid.Name = "chScaleXGrid";
			this.chScaleXGrid.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chScaleXGrid.Size = new System.Drawing.Size(58, 13);
			this.chScaleXGrid.TabIndex = 6;
			this.chScaleXGrid.Text = "Grid";
			// 
			// cmdFontX
			// 
			this.cmdFontX.BackColor = System.Drawing.SystemColors.Control;
			this.cmdFontX.Cursor = System.Windows.Forms.Cursors.Default;
			this.cmdFontX.ForeColor = System.Drawing.SystemColors.ControlText;
			this.cmdFontX.Location = new System.Drawing.Point(135, 84);
			this.cmdFontX.Name = "cmdFontX";
			this.cmdFontX.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.cmdFontX.Size = new System.Drawing.Size(49, 22);
			this.cmdFontX.TabIndex = 5;
			this.cmdFontX.Text = "Font...";
			this.cmdFontX.Click += new System.EventHandler(this.cmdFontX_Click);
			// 
			// frmScaleY
			// 
			this.frmScaleY.BackColor = System.Drawing.SystemColors.Control;
			this.frmScaleY.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.txtFontY,
																					this.opScaleYType2,
																					this.opScaleYType1,
																					this.chScaleYGrid,
																					this.chScaleY,
																					this.opScaleYType3,
																					this.cmdFontY});
			this.frmScaleY.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmScaleY.Location = new System.Drawing.Point(204, 6);
			this.frmScaleY.Name = "frmScaleY";
			this.frmScaleY.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmScaleY.Size = new System.Drawing.Size(195, 117);
			this.frmScaleY.TabIndex = 40;
			this.frmScaleY.TabStop = false;
			this.frmScaleY.Text = "Vertical scale";
			// 
			// txtFontY
			// 
			this.txtFontY.Location = new System.Drawing.Point(9, 84);
			this.txtFontY.Name = "txtFontY";
			this.txtFontY.Size = new System.Drawing.Size(120, 20);
			this.txtFontY.TabIndex = 17;
			this.txtFontY.Text = "";
			// 
			// opScaleYType2
			// 
			this.opScaleYType2.BackColor = System.Drawing.SystemColors.Control;
			this.opScaleYType2.Cursor = System.Windows.Forms.Cursors.Default;
			this.opScaleYType2.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opScaleYType2.Location = new System.Drawing.Point(90, 36);
			this.opScaleYType2.Name = "opScaleYType2";
			this.opScaleYType2.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opScaleYType2.Size = new System.Drawing.Size(96, 13);
			this.opScaleYType2.TabIndex = 16;
			this.opScaleYType2.TabStop = true;
			this.opScaleYType2.Text = "Normal Value";
			// 
			// opScaleYType1
			// 
			this.opScaleYType1.BackColor = System.Drawing.SystemColors.Control;
			this.opScaleYType1.Checked = true;
			this.opScaleYType1.Cursor = System.Windows.Forms.Cursors.Default;
			this.opScaleYType1.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opScaleYType1.Location = new System.Drawing.Point(90, 14);
			this.opScaleYType1.Name = "opScaleYType1";
			this.opScaleYType1.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opScaleYType1.Size = new System.Drawing.Size(64, 13);
			this.opScaleYType1.TabIndex = 15;
			this.opScaleYType1.TabStop = true;
			this.opScaleYType1.Text = "Samples";
			// 
			// chScaleYGrid
			// 
			this.chScaleYGrid.BackColor = System.Drawing.SystemColors.Control;
			this.chScaleYGrid.Checked = true;
			this.chScaleYGrid.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chScaleYGrid.Cursor = System.Windows.Forms.Cursors.Default;
			this.chScaleYGrid.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chScaleYGrid.Location = new System.Drawing.Point(8, 42);
			this.chScaleYGrid.Name = "chScaleYGrid";
			this.chScaleYGrid.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chScaleYGrid.Size = new System.Drawing.Size(58, 13);
			this.chScaleYGrid.TabIndex = 14;
			this.chScaleYGrid.Text = "Grid";
			// 
			// chScaleY
			// 
			this.chScaleY.BackColor = System.Drawing.SystemColors.Control;
			this.chScaleY.Checked = true;
			this.chScaleY.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chScaleY.Cursor = System.Windows.Forms.Cursors.Default;
			this.chScaleY.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chScaleY.Location = new System.Drawing.Point(8, 21);
			this.chScaleY.Name = "chScaleY";
			this.chScaleY.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chScaleY.Size = new System.Drawing.Size(60, 13);
			this.chScaleY.TabIndex = 13;
			this.chScaleY.Text = "Enabled";
			// 
			// opScaleYType3
			// 
			this.opScaleYType3.BackColor = System.Drawing.SystemColors.Control;
			this.opScaleYType3.Cursor = System.Windows.Forms.Cursors.Default;
			this.opScaleYType3.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opScaleYType3.Location = new System.Drawing.Point(90, 58);
			this.opScaleYType3.Name = "opScaleYType3";
			this.opScaleYType3.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opScaleYType3.Size = new System.Drawing.Size(85, 13);
			this.opScaleYType3.TabIndex = 12;
			this.opScaleYType3.TabStop = true;
			this.opScaleYType3.Text = "dB Value";
			// 
			// cmdFontY
			// 
			this.cmdFontY.BackColor = System.Drawing.SystemColors.Control;
			this.cmdFontY.Cursor = System.Windows.Forms.Cursors.Default;
			this.cmdFontY.ForeColor = System.Drawing.SystemColors.ControlText;
			this.cmdFontY.Location = new System.Drawing.Point(135, 84);
			this.cmdFontY.Name = "cmdFontY";
			this.cmdFontY.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.cmdFontY.Size = new System.Drawing.Size(49, 22);
			this.cmdFontY.TabIndex = 11;
			this.cmdFontY.Text = "Font...";
			this.cmdFontY.Click += new System.EventHandler(this.cmdFontY_Click);
			// 
			// frmBorder
			// 
			this.frmBorder.BackColor = System.Drawing.SystemColors.Control;
			this.frmBorder.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.opBorderType3,
																					this.opBorderType0,
																					this.opBorderType2,
																					this.opBorderType1,
																					this.opBorderType4});
			this.frmBorder.ForeColor = System.Drawing.SystemColors.ControlText;
			this.frmBorder.Location = new System.Drawing.Point(6, 132);
			this.frmBorder.Name = "frmBorder";
			this.frmBorder.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.frmBorder.Size = new System.Drawing.Size(393, 45);
			this.frmBorder.TabIndex = 41;
			this.frmBorder.TabStop = false;
			this.frmBorder.Text = "Border";
			// 
			// opBorderType3
			// 
			this.opBorderType3.BackColor = System.Drawing.SystemColors.Control;
			this.opBorderType3.Cursor = System.Windows.Forms.Cursors.Default;
			this.opBorderType3.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opBorderType3.Location = new System.Drawing.Point(234, 18);
			this.opBorderType3.Name = "opBorderType3";
			this.opBorderType3.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opBorderType3.Size = new System.Drawing.Size(60, 19);
			this.opBorderType3.TabIndex = 22;
			this.opBorderType3.TabStop = true;
			this.opBorderType3.Text = "Type 3";
			// 
			// opBorderType0
			// 
			this.opBorderType0.BackColor = System.Drawing.SystemColors.Control;
			this.opBorderType0.Cursor = System.Windows.Forms.Cursors.Default;
			this.opBorderType0.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opBorderType0.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.opBorderType0.Location = new System.Drawing.Point(18, 18);
			this.opBorderType0.Name = "opBorderType0";
			this.opBorderType0.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opBorderType0.Size = new System.Drawing.Size(60, 19);
			this.opBorderType0.TabIndex = 21;
			this.opBorderType0.TabStop = true;
			this.opBorderType0.Text = "Type 0";
			// 
			// opBorderType2
			// 
			this.opBorderType2.BackColor = System.Drawing.SystemColors.Control;
			this.opBorderType2.Cursor = System.Windows.Forms.Cursors.Default;
			this.opBorderType2.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opBorderType2.Location = new System.Drawing.Point(165, 18);
			this.opBorderType2.Name = "opBorderType2";
			this.opBorderType2.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opBorderType2.Size = new System.Drawing.Size(60, 19);
			this.opBorderType2.TabIndex = 20;
			this.opBorderType2.TabStop = true;
			this.opBorderType2.Text = "Type 2";
			// 
			// opBorderType1
			// 
			this.opBorderType1.BackColor = System.Drawing.SystemColors.Control;
			this.opBorderType1.Checked = true;
			this.opBorderType1.Cursor = System.Windows.Forms.Cursors.Default;
			this.opBorderType1.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opBorderType1.Location = new System.Drawing.Point(90, 18);
			this.opBorderType1.Name = "opBorderType1";
			this.opBorderType1.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opBorderType1.Size = new System.Drawing.Size(60, 19);
			this.opBorderType1.TabIndex = 19;
			this.opBorderType1.TabStop = true;
			this.opBorderType1.Text = "Type 1";
			// 
			// opBorderType4
			// 
			this.opBorderType4.BackColor = System.Drawing.SystemColors.Control;
			this.opBorderType4.Cursor = System.Windows.Forms.Cursors.Default;
			this.opBorderType4.ForeColor = System.Drawing.SystemColors.ControlText;
			this.opBorderType4.Location = new System.Drawing.Point(309, 18);
			this.opBorderType4.Name = "opBorderType4";
			this.opBorderType4.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.opBorderType4.Size = new System.Drawing.Size(60, 19);
			this.opBorderType4.TabIndex = 18;
			this.opBorderType4.TabStop = true;
			this.opBorderType4.Text = "Type 4";
			// 
			// tabColors
			// 
			this.tabColors.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.lstColors,
																					this.cmdColorChoice,
																					this.ColorView});
			this.tabColors.Location = new System.Drawing.Point(4, 22);
			this.tabColors.Name = "tabColors";
			this.tabColors.Size = new System.Drawing.Size(409, 184);
			this.tabColors.TabIndex = 2;
			this.tabColors.Text = "Colors";
			this.tabColors.Visible = false;
			// 
			// lstColors
			// 
			this.lstColors.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						this.colColorsText,
																						this.colColorsValue});
			this.lstColors.FullRowSelect = true;
			this.lstColors.HideSelection = false;
			this.lstColors.Items.AddRange(new System.Windows.Forms.ListViewItem[] {
																					  listViewItem1,
																					  listViewItem2,
																					  listViewItem3,
																					  listViewItem4,
																					  listViewItem5,
																					  listViewItem6,
																					  listViewItem7,
																					  listViewItem8,
																					  listViewItem9,
																					  listViewItem10,
																					  listViewItem11,
																					  listViewItem12,
																					  listViewItem13,
																					  listViewItem14,
																					  listViewItem15,
																					  listViewItem16,
																					  listViewItem17});
			this.lstColors.Location = new System.Drawing.Point(12, 12);
			this.lstColors.MultiSelect = false;
			this.lstColors.Name = "lstColors";
			this.lstColors.Size = new System.Drawing.Size(249, 135);
			this.lstColors.TabIndex = 6;
			this.lstColors.View = System.Windows.Forms.View.Details;
			this.lstColors.SelectedIndexChanged += new System.EventHandler(this.lstColors_SelectedIndexChanged);
			// 
			// colColorsText
			// 
			this.colColorsText.Text = "Colors";
			this.colColorsText.Width = 161;
			// 
			// colColorsValue
			// 
			this.colColorsValue.Text = "Value";
			// 
			// cmdColorChoice
			// 
			this.cmdColorChoice.BackColor = System.Drawing.SystemColors.Control;
			this.cmdColorChoice.Cursor = System.Windows.Forms.Cursors.Default;
			this.cmdColorChoice.ForeColor = System.Drawing.SystemColors.ControlText;
			this.cmdColorChoice.Location = new System.Drawing.Point(9, 153);
			this.cmdColorChoice.Name = "cmdColorChoice";
			this.cmdColorChoice.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.cmdColorChoice.Size = new System.Drawing.Size(255, 23);
			this.cmdColorChoice.TabIndex = 5;
			this.cmdColorChoice.Text = "Change Color";
			this.cmdColorChoice.Click += new System.EventHandler(this.cmdColorChoice_Click);
			// 
			// ColorView
			// 
			this.ColorView.BackColor = System.Drawing.SystemColors.Control;
			this.ColorView.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.ColorView.Cursor = System.Windows.Forms.Cursors.Default;
			this.ColorView.ForeColor = System.Drawing.SystemColors.ControlText;
			this.ColorView.Location = new System.Drawing.Point(276, 9);
			this.ColorView.Name = "ColorView";
			this.ColorView.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.ColorView.Size = new System.Drawing.Size(126, 165);
			this.ColorView.TabIndex = 4;
			this.ColorView.TabStop = false;
			// 
			// tabData
			// 
			this.tabData.Controls.AddRange(new System.Windows.Forms.Control[] {
																				  this.chSaveExtraInfo,
																				  this.udUndoRedoCount,
																				  this.udSmoothLength,
																				  this.Label5,
																				  this.Label6,
																				  this.Label4,
																				  this.chSmooth});
			this.tabData.Location = new System.Drawing.Point(4, 22);
			this.tabData.Name = "tabData";
			this.tabData.Size = new System.Drawing.Size(409, 184);
			this.tabData.TabIndex = 3;
			this.tabData.Text = "Data";
			this.tabData.Visible = false;
			// 
			// chSaveExtraInfo
			// 
			this.chSaveExtraInfo.BackColor = System.Drawing.SystemColors.Control;
			this.chSaveExtraInfo.Cursor = System.Windows.Forms.Cursors.Default;
			this.chSaveExtraInfo.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chSaveExtraInfo.Location = new System.Drawing.Point(18, 147);
			this.chSaveExtraInfo.Name = "chSaveExtraInfo";
			this.chSaveExtraInfo.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chSaveExtraInfo.Size = new System.Drawing.Size(195, 19);
			this.chSaveExtraInfo.TabIndex = 49;
			this.chSaveExtraInfo.Text = "Save Extra Non-Audio Inforamtion";
			// 
			// udUndoRedoCount
			// 
			this.udUndoRedoCount.Location = new System.Drawing.Point(123, 108);
			this.udUndoRedoCount.Maximum = new System.Decimal(new int[] {
																			1000,
																			0,
																			0,
																			0});
			this.udUndoRedoCount.Minimum = new System.Decimal(new int[] {
																			1,
																			0,
																			0,
																			0});
			this.udUndoRedoCount.Name = "udUndoRedoCount";
			this.udUndoRedoCount.Size = new System.Drawing.Size(51, 20);
			this.udUndoRedoCount.TabIndex = 48;
			this.udUndoRedoCount.Value = new System.Decimal(new int[] {
																		  1,
																		  0,
																		  0,
																		  0});
			// 
			// udSmoothLength
			// 
			this.udSmoothLength.Location = new System.Drawing.Point(138, 51);
			this.udSmoothLength.Minimum = new System.Decimal(new int[] {
																		   10,
																		   0,
																		   0,
																		   0});
			this.udSmoothLength.Name = "udSmoothLength";
			this.udSmoothLength.Size = new System.Drawing.Size(45, 20);
			this.udSmoothLength.TabIndex = 47;
			this.udSmoothLength.Value = new System.Decimal(new int[] {
																		 10,
																		 0,
																		 0,
																		 0});
			// 
			// Label5
			// 
			this.Label5.BackColor = System.Drawing.SystemColors.Control;
			this.Label5.Cursor = System.Windows.Forms.Cursors.Default;
			this.Label5.ForeColor = System.Drawing.SystemColors.ControlText;
			this.Label5.Location = new System.Drawing.Point(45, 51);
			this.Label5.Name = "Label5";
			this.Label5.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Label5.Size = new System.Drawing.Size(93, 21);
			this.Label5.TabIndex = 43;
			this.Label5.Text = "Crossfade Time";
			// 
			// Label6
			// 
			this.Label6.BackColor = System.Drawing.SystemColors.Control;
			this.Label6.Cursor = System.Windows.Forms.Cursors.Default;
			this.Label6.ForeColor = System.Drawing.SystemColors.ControlText;
			this.Label6.Location = new System.Drawing.Point(186, 51);
			this.Label6.Name = "Label6";
			this.Label6.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Label6.Size = new System.Drawing.Size(39, 21);
			this.Label6.TabIndex = 45;
			this.Label6.Text = "ms";
			// 
			// Label4
			// 
			this.Label4.BackColor = System.Drawing.SystemColors.Control;
			this.Label4.Cursor = System.Windows.Forms.Cursors.Default;
			this.Label4.ForeColor = System.Drawing.SystemColors.ControlText;
			this.Label4.Location = new System.Drawing.Point(18, 108);
			this.Label4.Name = "Label4";
			this.Label4.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Label4.Size = new System.Drawing.Size(97, 21);
			this.Label4.TabIndex = 46;
			this.Label4.Text = "Undo/Redo Count";
			// 
			// chSmooth
			// 
			this.chSmooth.BackColor = System.Drawing.SystemColors.Control;
			this.chSmooth.Cursor = System.Windows.Forms.Cursors.Default;
			this.chSmooth.ForeColor = System.Drawing.SystemColors.ControlText;
			this.chSmooth.Location = new System.Drawing.Point(18, 18);
			this.chSmooth.Name = "chSmooth";
			this.chSmooth.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.chSmooth.Size = new System.Drawing.Size(252, 21);
			this.chSmooth.TabIndex = 42;
			this.chSmooth.Text = "Smooth all edit boundaries by crossfading";
			// 
			// tabRecording
			// 
			this.tabRecording.Controls.AddRange(new System.Windows.Forms.Control[] {
																					   this.frmAGC,
																					   this.frmAccu});
			this.tabRecording.Location = new System.Drawing.Point(4, 22);
			this.tabRecording.Name = "tabRecording";
			this.tabRecording.Size = new System.Drawing.Size(409, 184);
			this.tabRecording.TabIndex = 4;
			this.tabRecording.Text = "Recording";
			this.tabRecording.Visible = false;
			// 
			// frmAGC
			// 
			this.frmAGC.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.udAGCAttackTime,
																				 this.udAGCHighLevel,
																				 this.udAGCLowLevel,
																				 this.Label14,
																				 this.Label13,
																				 this.Label12,
																				 this.chAGCEnabled});
			this.frmAGC.Location = new System.Drawing.Point(237, 9);
			this.frmAGC.Name = "frmAGC";
			this.frmAGC.Size = new System.Drawing.Size(165, 168);
			this.frmAGC.TabIndex = 1;
			this.frmAGC.TabStop = false;
			this.frmAGC.Text = "Auto Gain Control";
			// 
			// udAGCAttackTime
			// 
			this.udAGCAttackTime.Location = new System.Drawing.Point(87, 126);
			this.udAGCAttackTime.Name = "udAGCAttackTime";
			this.udAGCAttackTime.Size = new System.Drawing.Size(60, 20);
			this.udAGCAttackTime.TabIndex = 7;
			// 
			// udAGCHighLevel
			// 
			this.udAGCHighLevel.Location = new System.Drawing.Point(87, 99);
			this.udAGCHighLevel.Maximum = new System.Decimal(new int[] {
																		   0,
																		   0,
																		   0,
																		   0});
			this.udAGCHighLevel.Minimum = new System.Decimal(new int[] {
																		   90,
																		   0,
																		   0,
																		   -2147483648});
			this.udAGCHighLevel.Name = "udAGCHighLevel";
			this.udAGCHighLevel.Size = new System.Drawing.Size(60, 20);
			this.udAGCHighLevel.TabIndex = 6;
			// 
			// udAGCLowLevel
			// 
			this.udAGCLowLevel.Location = new System.Drawing.Point(87, 72);
			this.udAGCLowLevel.Maximum = new System.Decimal(new int[] {
																		  0,
																		  0,
																		  0,
																		  0});
			this.udAGCLowLevel.Minimum = new System.Decimal(new int[] {
																		  90,
																		  0,
																		  0,
																		  -2147483648});
			this.udAGCLowLevel.Name = "udAGCLowLevel";
			this.udAGCLowLevel.Size = new System.Drawing.Size(60, 20);
			this.udAGCLowLevel.TabIndex = 5;
			// 
			// Label14
			// 
			this.Label14.Location = new System.Drawing.Point(16, 126);
			this.Label14.Name = "Label14";
			this.Label14.Size = new System.Drawing.Size(64, 18);
			this.Label14.TabIndex = 4;
			this.Label14.Text = "AttackTime:";
			// 
			// Label13
			// 
			this.Label13.Location = new System.Drawing.Point(16, 99);
			this.Label13.Name = "Label13";
			this.Label13.Size = new System.Drawing.Size(60, 18);
			this.Label13.TabIndex = 3;
			this.Label13.Text = "HighLevel:";
			// 
			// Label12
			// 
			this.Label12.Location = new System.Drawing.Point(16, 72);
			this.Label12.Name = "Label12";
			this.Label12.Size = new System.Drawing.Size(60, 18);
			this.Label12.TabIndex = 2;
			this.Label12.Text = "LowLevel:";
			// 
			// chAGCEnabled
			// 
			this.chAGCEnabled.Location = new System.Drawing.Point(9, 27);
			this.chAGCEnabled.Name = "chAGCEnabled";
			this.chAGCEnabled.Size = new System.Drawing.Size(102, 21);
			this.chAGCEnabled.TabIndex = 1;
			this.chAGCEnabled.Text = "Enabled";
			this.chAGCEnabled.CheckedChanged += new System.EventHandler(this.chAGCEnabled_CheckedChanged);
			// 
			// frmAccu
			// 
			this.frmAccu.Controls.AddRange(new System.Windows.Forms.Control[] {
																				  this.frmAccuRelease,
																				  this.frmAccuAttack,
																				  this.chAccuEnabled});
			this.frmAccu.Location = new System.Drawing.Point(6, 9);
			this.frmAccu.Name = "frmAccu";
			this.frmAccu.Size = new System.Drawing.Size(225, 168);
			this.frmAccu.TabIndex = 0;
			this.frmAccu.TabStop = false;
			this.frmAccu.Text = "Accu Control";
			// 
			// frmAccuRelease
			// 
			this.frmAccuRelease.Controls.AddRange(new System.Windows.Forms.Control[] {
																						 this.Label10,
																						 this.Label11,
																						 this.udAccuReleaseLevel,
																						 this.udAccuReleaseTime});
			this.frmAccuRelease.Location = new System.Drawing.Point(115, 57);
			this.frmAccuRelease.Name = "frmAccuRelease";
			this.frmAccuRelease.Size = new System.Drawing.Size(102, 102);
			this.frmAccuRelease.TabIndex = 2;
			this.frmAccuRelease.TabStop = false;
			this.frmAccuRelease.Text = "Release";
			// 
			// Label10
			// 
			this.Label10.Location = new System.Drawing.Point(6, 66);
			this.Label10.Name = "Label10";
			this.Label10.Size = new System.Drawing.Size(36, 20);
			this.Label10.TabIndex = 7;
			this.Label10.Text = "Level:";
			// 
			// Label11
			// 
			this.Label11.Location = new System.Drawing.Point(6, 36);
			this.Label11.Name = "Label11";
			this.Label11.Size = new System.Drawing.Size(36, 20);
			this.Label11.TabIndex = 6;
			this.Label11.Text = "Time:";
			// 
			// udAccuReleaseLevel
			// 
			this.udAccuReleaseLevel.Location = new System.Drawing.Point(45, 66);
			this.udAccuReleaseLevel.Maximum = new System.Decimal(new int[] {
																			   0,
																			   0,
																			   0,
																			   0});
			this.udAccuReleaseLevel.Minimum = new System.Decimal(new int[] {
																			   90,
																			   0,
																			   0,
																			   -2147483648});
			this.udAccuReleaseLevel.Name = "udAccuReleaseLevel";
			this.udAccuReleaseLevel.Size = new System.Drawing.Size(51, 20);
			this.udAccuReleaseLevel.TabIndex = 5;
			// 
			// udAccuReleaseTime
			// 
			this.udAccuReleaseTime.Location = new System.Drawing.Point(45, 36);
			this.udAccuReleaseTime.Maximum = new System.Decimal(new int[] {
																			  5000,
																			  0,
																			  0,
																			  0});
			this.udAccuReleaseTime.Minimum = new System.Decimal(new int[] {
																			  10,
																			  0,
																			  0,
																			  0});
			this.udAccuReleaseTime.Name = "udAccuReleaseTime";
			this.udAccuReleaseTime.Size = new System.Drawing.Size(51, 20);
			this.udAccuReleaseTime.TabIndex = 4;
			this.udAccuReleaseTime.Value = new System.Decimal(new int[] {
																			10,
																			0,
																			0,
																			0});
			// 
			// frmAccuAttack
			// 
			this.frmAccuAttack.Controls.AddRange(new System.Windows.Forms.Control[] {
																						this.Label9,
																						this.Label8,
																						this.udAccuAttackLevel,
																						this.udAccuAttackTime});
			this.frmAccuAttack.Location = new System.Drawing.Point(7, 57);
			this.frmAccuAttack.Name = "frmAccuAttack";
			this.frmAccuAttack.Size = new System.Drawing.Size(102, 102);
			this.frmAccuAttack.TabIndex = 1;
			this.frmAccuAttack.TabStop = false;
			this.frmAccuAttack.Text = "Attack";
			// 
			// Label9
			// 
			this.Label9.Location = new System.Drawing.Point(6, 66);
			this.Label9.Name = "Label9";
			this.Label9.Size = new System.Drawing.Size(36, 20);
			this.Label9.TabIndex = 3;
			this.Label9.Text = "Level:";
			// 
			// Label8
			// 
			this.Label8.Location = new System.Drawing.Point(6, 36);
			this.Label8.Name = "Label8";
			this.Label8.Size = new System.Drawing.Size(36, 20);
			this.Label8.TabIndex = 2;
			this.Label8.Text = "Time:";
			// 
			// udAccuAttackLevel
			// 
			this.udAccuAttackLevel.Location = new System.Drawing.Point(45, 66);
			this.udAccuAttackLevel.Maximum = new System.Decimal(new int[] {
																			  0,
																			  0,
																			  0,
																			  0});
			this.udAccuAttackLevel.Minimum = new System.Decimal(new int[] {
																			  90,
																			  0,
																			  0,
																			  -2147483648});
			this.udAccuAttackLevel.Name = "udAccuAttackLevel";
			this.udAccuAttackLevel.Size = new System.Drawing.Size(51, 20);
			this.udAccuAttackLevel.TabIndex = 1;
			// 
			// udAccuAttackTime
			// 
			this.udAccuAttackTime.Location = new System.Drawing.Point(45, 36);
			this.udAccuAttackTime.Maximum = new System.Decimal(new int[] {
																			 5000,
																			 0,
																			 0,
																			 0});
			this.udAccuAttackTime.Minimum = new System.Decimal(new int[] {
																			 10,
																			 0,
																			 0,
																			 0});
			this.udAccuAttackTime.Name = "udAccuAttackTime";
			this.udAccuAttackTime.Size = new System.Drawing.Size(51, 20);
			this.udAccuAttackTime.TabIndex = 0;
			this.udAccuAttackTime.Value = new System.Decimal(new int[] {
																		   10,
																		   0,
																		   0,
																		   0});
			// 
			// chAccuEnabled
			// 
			this.chAccuEnabled.Location = new System.Drawing.Point(15, 24);
			this.chAccuEnabled.Name = "chAccuEnabled";
			this.chAccuEnabled.Size = new System.Drawing.Size(132, 21);
			this.chAccuEnabled.TabIndex = 0;
			this.chAccuEnabled.Text = "Enabled";
			this.chAccuEnabled.CheckedChanged += new System.EventHandler(this.chAccuEnabled_CheckedChanged);
			// 
			// formProperty
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(432, 253);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.cmdApply,
																		  this.cmdCancel,
																		  this.cmdOk,
																		  this.tabProperty});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "formProperty";
			this.ShowInTaskbar = false;
			this.Text = "NCTAudioEditor2 Properties";
			this.Load += new System.EventHandler(this.formProperty_Load);
			this.tabProperty.ResumeLayout(false);
			this.tabSystem.ResumeLayout(false);
			this.frmRecordVisType.ResumeLayout(false);
			this.frmTempDirectory.ResumeLayout(false);
			this.frmRecPlayBuffer.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.udBufferSize)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udBufferCount)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udTickSize)).EndInit();
			this.tabScales.ResumeLayout(false);
			this.frmScaleX.ResumeLayout(false);
			this.frmScaleY.ResumeLayout(false);
			this.frmBorder.ResumeLayout(false);
			this.tabColors.ResumeLayout(false);
			this.tabData.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.udUndoRedoCount)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udSmoothLength)).EndInit();
			this.tabRecording.ResumeLayout(false);
			this.frmAGC.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.udAGCAttackTime)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udAGCHighLevel)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udAGCLowLevel)).EndInit();
			this.frmAccu.ResumeLayout(false);
			this.frmAccuRelease.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.udAccuReleaseLevel)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udAccuReleaseTime)).EndInit();
			this.frmAccuAttack.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.udAccuAttackLevel)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.udAccuAttackTime)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		public formTestAE frm;

		public NCTAUDIOEDITOR2Lib.AudioEditor2Colors Colors;
		public NCTAUDIOEDITOR2Lib.AudioEditor2Scale ScaleX;
		public NCTAUDIOEDITOR2Lib.AudioEditor2Scale ScaleY;
		public NCTAUDIOEDITOR2Lib.AudioEditor2Recorder Recorder;

		public stdole.IFontDisp FontX;
		public stdole.IFontDisp FontY;

		private void formProperty_Load(object sender, System.EventArgs e)
		{
			Colors = frm.AudioEditor.Colors;
			ScaleX = frm.AudioEditor.ScaleX;
			ScaleY = frm.AudioEditor.ScaleY;
			Recorder = frm.AudioEditor.Recorder;

			lstColors.Items[0].SubItems.Add(Colors.DigitalWaveform.ToString());
			lstColors.Items[1].SubItems.Add(Colors.AnalogWaveform.ToString());
			lstColors.Items[2].SubItems.Add(Colors.Background.ToString());
			lstColors.Items[3].SubItems.Add(Colors.CenterLine.ToString());
			lstColors.Items[4].SubItems.Add(Colors.SelectDigitalWaveform.ToString());
			lstColors.Items[5].SubItems.Add(Colors.SelectAnalogWaveform.ToString());
			lstColors.Items[6].SubItems.Add(Colors.SelectBackground.ToString());
			lstColors.Items[7].SubItems.Add(Colors.SelectCenterLine.ToString());
			lstColors.Items[8].SubItems.Add(Colors.Grid.ToString());
			lstColors.Items[9].SubItems.Add(Colors.Cursor.ToString());
			lstColors.Items[10].SubItems.Add(Colors.PlayCursor.ToString());
			lstColors.Items[11].SubItems.Add(Colors.Boundary.ToString());
			lstColors.Items[12].SubItems.Add(Colors.Scales.ToString());
			lstColors.Items[13].SubItems.Add(Colors.Font.ToString());
			lstColors.Items[14].SubItems.Add(Colors.CueMarker.ToString());
			lstColors.Items[15].SubItems.Add(Colors.RangeMarker.ToString());
			lstColors.Items[16].SubItems.Add(Colors.RangeMarkerBackground.ToString());

			lstColors.Items[0].Selected = true;

			txtTempDirectory.Text = frm.AudioEditor.TempDirectory;
			udBufferSize.Value = frm.AudioEditor.DeviceInput.BufferSize;
			udTickSize.Value = frm.AudioEditor.DeviceInput.TimerInterval;
			udBufferCount.Value = frm.AudioEditor.DeviceInput.BufferCount;

			udUndoRedoCount.Value = frm.AudioEditor.UndoRedoCount;
			chSaveExtraInfo.Checked = frm.AudioEditor.FileInfo.SaveExtraInfoEnabled;

			chSmooth.Checked = frm.AudioEditor.Transform.SmoothEnabled;
			udSmoothLength.Value = frm.AudioEditor.Transform.SmoothTime;

			chMarkerBar.Checked = frm.AudioEditor.MarkerBarEnabled;
			chMarkerBackground.Checked = frm.AudioEditor.MarkerBackgroundEnabled;

			FontX = ScaleX.Font;
			FontY = ScaleY.Font;

			txtFontX.Text = FontX.Name + " " + FontX.Size.ToString();
			txtFontY.Text = FontY.Name + " " + FontY.Size.ToString();

			chScaleX.Checked = ScaleX.Visible;
			chScaleY.Checked = ScaleY.Visible;

			chScaleXGrid.Checked = ScaleX.Grid;
			chScaleYGrid.Checked = ScaleY.Grid;

			if (ScaleX.Type == 1) opScaleXType1.Checked = true;
			if (ScaleX.Type == 2) opScaleXType2.Checked = true;

			if (ScaleY.Type == 1) opScaleYType1.Checked = true;
			if (ScaleY.Type == 2) opScaleYType2.Checked = true;
			if (ScaleY.Type == 3) opScaleYType3.Checked = true;

			if (frm.AudioEditor.RecordVisualizationType == 1) opRecordVisType1.Checked = true;
			if (frm.AudioEditor.RecordVisualizationType == 2) opRecordVisType2.Checked = true;

			if (frm.AudioEditor.TypeBorder == 0) opBorderType0.Checked = true;
			if (frm.AudioEditor.TypeBorder == 1) opBorderType1.Checked = true;
			if (frm.AudioEditor.TypeBorder == 2) opBorderType2.Checked = true;
			if (frm.AudioEditor.TypeBorder == 3) opBorderType3.Checked = true;
			if (frm.AudioEditor.TypeBorder == 4) opBorderType4.Checked = true;

			chAccuEnabled.Checked = Recorder.AccuEnabled;
			chAGCEnabled.Checked = Recorder.AGCEnabled;
			udAccuAttackLevel.Value = Recorder.AccuAttackLevel;
			udAccuAttackTime.Value = Recorder.AccuAttackTime;
			udAccuReleaseLevel.Value = Recorder.AccuReleaseLevel;
			udAccuReleaseTime.Value = Recorder.AccuReleaseTime;
			udAGCLowLevel.Value = Recorder.AGCLowLevel;
			udAGCHighLevel.Value = Recorder.AGCHighLevel;
			udAGCAttackTime.Value = Recorder.AGCAttackTime;
		}

		private void Apply()
		{
			SetColors();
			SetScales();
			SetRecorder();

			frm.AudioEditor.TempDirectory = txtTempDirectory.Text;

			frm.AudioEditor.DeviceInput.BufferSize = (int)udBufferSize.Value;
			frm.AudioEditor.DeviceInput.TimerInterval = (short)udTickSize.Value;
			frm.AudioEditor.DeviceInput.BufferCount = (short)udBufferCount.Value;

			frm.AudioEditor.DeviceOutput.BufferSize = (int)udBufferSize.Value;
			frm.AudioEditor.DeviceOutput.TimerInterval = (short)udTickSize.Value;
			frm.AudioEditor.DeviceOutput.BufferCount = (short)udBufferCount.Value;

			frm.AudioEditor.UndoRedoCount = (int)udUndoRedoCount.Value;
			frm.AudioEditor.FileInfo.SaveExtraInfoEnabled = chSaveExtraInfo.Checked;

			frm.AudioEditor.Transform.SmoothEnabled = chSmooth.Checked;
			frm.AudioEditor.Transform.SmoothTime = (int)udSmoothLength.Value;

			frm.AudioEditor.MarkerBarEnabled = chMarkerBar.Checked;
			frm.AudioEditor.MarkerBackgroundEnabled = chMarkerBackground.Checked;

			if (opRecordVisType1.Checked) frm.AudioEditor.RecordVisualizationType = 1;
			if (opRecordVisType2.Checked) frm.AudioEditor.RecordVisualizationType = 2;

			if (opBorderType0.Checked) frm.AudioEditor.TypeBorder = 0;
			if (opBorderType1.Checked) frm.AudioEditor.TypeBorder = 1;
			if (opBorderType2.Checked) frm.AudioEditor.TypeBorder = 2;
			if (opBorderType3.Checked) frm.AudioEditor.TypeBorder = 3;
			if (opBorderType4.Checked) frm.AudioEditor.TypeBorder = 4;

			frm.ToolBar1.Buttons[30].Pushed = frm.AudioEditor.Recorder.AGCEnabled;
		}
	
		private void SetColors()
		{
			Colors.DigitalWaveform = System.Convert.ToUInt32(lstColors.Items[0].SubItems[1].Text);
			Colors.AnalogWaveform = System.Convert.ToUInt32(lstColors.Items[1].SubItems[1].Text);
			Colors.Background = System.Convert.ToUInt32(lstColors.Items[2].SubItems[1].Text);
			Colors.CenterLine = System.Convert.ToUInt32(lstColors.Items[3].SubItems[1].Text);
			Colors.SelectDigitalWaveform = System.Convert.ToUInt32(lstColors.Items[4].SubItems[1].Text);
			Colors.SelectAnalogWaveform = System.Convert.ToUInt32(lstColors.Items[5].SubItems[1].Text);
			Colors.SelectBackground = System.Convert.ToUInt32(lstColors.Items[6].SubItems[1].Text);
			Colors.SelectCenterLine = System.Convert.ToUInt32(lstColors.Items[7].SubItems[1].Text);
			Colors.Grid = System.Convert.ToUInt32(lstColors.Items[8].SubItems[1].Text);
			Colors.Cursor = System.Convert.ToUInt32(lstColors.Items[9].SubItems[1].Text);
			Colors.PlayCursor = System.Convert.ToUInt32(lstColors.Items[10].SubItems[1].Text);
			Colors.Boundary = System.Convert.ToUInt32(lstColors.Items[11].SubItems[1].Text);
			Colors.Scales = System.Convert.ToUInt32(lstColors.Items[12].SubItems[1].Text);
			Colors.Font = System.Convert.ToUInt32(lstColors.Items[13].SubItems[1].Text);
			Colors.CueMarker = System.Convert.ToUInt32(lstColors.Items[14].SubItems[1].Text);
			Colors.RangeMarker = System.Convert.ToUInt32(lstColors.Items[15].SubItems[1].Text);
			Colors.RangeMarkerBackground = System.Convert.ToUInt32(lstColors.Items[16].SubItems[1].Text);
		}

		private void SetScales()
		{
			ScaleX.Font = FontX;
			ScaleY.Font = FontY;

			ScaleX.Visible = chScaleX.Checked;
			ScaleY.Visible = chScaleY.Checked;

			ScaleX.Grid = chScaleXGrid.Checked;
			ScaleY.Grid = chScaleYGrid.Checked;

			if (opScaleXType1.Checked) ScaleX.Type = 1;
			if (opScaleXType2.Checked) ScaleX.Type = 2;

			if (opScaleYType1.Checked) ScaleY.Type = 1;
			if (opScaleYType2.Checked) ScaleY.Type = 2;
			if (opScaleYType3.Checked) ScaleY.Type = 3;
		}

		private void SetRecorder()
		{
			Recorder.AccuEnabled = chAccuEnabled.Checked;
			Recorder.AGCEnabled = chAGCEnabled.Checked;

			Recorder.AccuAttackLevel = (int)udAccuAttackLevel.Value;
			Recorder.AccuAttackTime = (int)udAccuAttackTime.Value;
			Recorder.AccuReleaseLevel = (int)udAccuReleaseLevel.Value;
			Recorder.AccuReleaseTime = (int)udAccuReleaseTime.Value;

			Recorder.AGCLowLevel = (int)udAGCLowLevel.Value;
			Recorder.AGCHighLevel = (int)udAGCHighLevel.Value;
			Recorder.AGCAttackTime = (int)udAGCAttackTime.Value;
		}

		private void cmdApply_Click(object sender, System.EventArgs e)
		{
			Apply();
		}

		private void lstColors_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (lstColors.SelectedItems.Count < 1) return;

			int Index = lstColors.SelectedItems[0].Index;
			string TextColors = lstColors.Items[Index].SubItems[1].Text;

			ColorView.BackColor = System.Drawing.ColorTranslator.FromOle(Convert.ToInt32(TextColors));
		}

		private void cmdColorChoice_Click(object sender, System.EventArgs e)
		{
			if (lstColors.SelectedItems.Count < 1) return;

			int Index = lstColors.SelectedItems[0].Index;
			string TextColors = lstColors.Items[Index].SubItems[1].Text;

			ColorDialog1.Color = System.Drawing.ColorTranslator.FromOle(Convert.ToInt32(TextColors));
			if (ColorDialog1.ShowDialog() == DialogResult.OK)
			{
				ColorView.BackColor = ColorDialog1.Color;
				TextColors = System.Drawing.ColorTranslator.ToWin32(ColorDialog1.Color).ToString();
				lstColors.Items[Index].SubItems[1].Text = TextColors;
			}
		}

		private void cmdOk_Click(object sender, System.EventArgs e)
		{
			Apply();
			Close();
		}

		private void cmdCancel_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void cmdFontX_Click(object sender, System.EventArgs e)
		{
			FontStyle Style = FontStyle.Regular;
			if (FontX.Bold) Style = Style | FontStyle.Bold;
			if (FontX.Italic) Style = Style | FontStyle.Italic;
			if (FontX.Strikethrough) Style = Style | FontStyle.Strikeout;
			if (FontX.Underline) Style = Style | FontStyle.Underline;

			FontDialog1.Font = new Font(FontX.Name, (float)FontX.Size, Style);

			if (FontDialog1.ShowDialog() == DialogResult.OK)
			{
				FontX.Name = FontDialog1.Font.Name;
				FontX.Size = (int)FontDialog1.Font.Size;
				FontX.Bold = FontDialog1.Font.Bold;
				FontX.Italic = FontDialog1.Font.Italic;
				FontX.Underline = FontDialog1.Font.Underline;
				FontX.Strikethrough = FontDialog1.Font.Strikeout;

				txtFontX.Text = FontX.Name + " " + FontX.Size.ToString();
			}
		}

		private void cmdFontY_Click(object sender, System.EventArgs e)
		{
			FontStyle Style = FontStyle.Regular;
			if (FontY.Bold) Style = Style | FontStyle.Bold;
			if (FontY.Italic) Style = Style | FontStyle.Italic;
			if (FontY.Strikethrough) Style = Style | FontStyle.Strikeout;
			if (FontY.Underline) Style = Style | FontStyle.Underline;

			FontDialog1.Font = new Font(FontY.Name, (float)FontY.Size, Style);

			if (FontDialog1.ShowDialog() == DialogResult.OK)
			{
				FontY.Name = FontDialog1.Font.Name;
				FontY.Size = (int)FontDialog1.Font.Size;
				FontY.Bold = FontDialog1.Font.Bold;
				FontY.Italic = FontDialog1.Font.Italic;
				FontY.Underline = FontDialog1.Font.Underline;
				FontY.Strikethrough = FontDialog1.Font.Strikeout;

				txtFontY.Text = FontY.Name + " " + FontY.Size.ToString();
			}
		}

		private void chAccuEnabled_CheckedChanged(object sender, System.EventArgs e)
		{
            udAccuAttackLevel.Enabled = chAccuEnabled.Checked;
            udAccuReleaseLevel.Enabled = chAccuEnabled.Checked;
            udAccuAttackTime.Enabled = chAccuEnabled.Checked;
            udAccuReleaseTime.Enabled = chAccuEnabled.Checked;
		}

		private void chAGCEnabled_CheckedChanged(object sender, System.EventArgs e)
		{
            udAGCLowLevel.Enabled = chAGCEnabled.Checked;
            udAGCHighLevel.Enabled = chAGCEnabled.Checked;
            udAGCAttackTime.Enabled = chAGCEnabled.Checked;
		}
	}
}
