unit Convert;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, NCTAUDIOEDITOR2Lib_TLB;

type
  TfrmConvert = class(TForm)
    OKBtn: 	TButton;
    CancelBtn: 	TButton;
    rgFrequency: TRadioGroup;
    rgCnannels: TRadioGroup;
    procedure FormShow(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmConvert: TfrmConvert;

implementation

uses Main;

{$R *.dfm}
//---------------------------------------------------------------------
procedure TfrmConvert.FormShow(Sender: TObject);
begin
    rgCnannels.ItemIndex := frmMain.AudioEditor1.FileInfo.Channels - 1;
    case (frmMain.AudioEditor1.FileInfo.Frequency) of
        FQ_6_KHZ: rgFrequency.ItemIndex := 0;
        FQ_8_KHZ: rgFrequency.ItemIndex := 1;
        FQ_11_KHZ: rgFrequency.ItemIndex := 2;
        FQ_12_KHZ: rgFrequency.ItemIndex := 3;
        FQ_16_KHZ: rgFrequency.ItemIndex := 4;
        FQ_22_KHZ: rgFrequency.ItemIndex := 5;
        FQ_24_KHZ: rgFrequency.ItemIndex := 6;
        FQ_32_KHZ: rgFrequency.ItemIndex := 7;
        FQ_44_KHZ: rgFrequency.ItemIndex := 8;
        FQ_48_KHZ: rgFrequency.ItemIndex := 9;
        else rgFrequency.ItemIndex := -1;
    end;
end;
//---------------------------------------------------------------------------

procedure TfrmConvert.OKBtnClick(Sender: TObject);
var
    Chan: ChannelsConstants;
begin
    Chan := ChannelsConstants(rgCnannels.ItemIndex + 1);
    case (rgFrequency.ItemIndex) of
        0: frmMain.AudioEditor1.ConvertSampleType(FQ_6_KHZ, Chan);
        1: frmMain.AudioEditor1.ConvertSampleType(FQ_8_KHZ, Chan);
        2: frmMain.AudioEditor1.ConvertSampleType(FQ_11_KHZ, Chan);
        3: frmMain.AudioEditor1.ConvertSampleType(FQ_12_KHZ, Chan);
        4: frmMain.AudioEditor1.ConvertSampleType(FQ_16_KHZ, Chan);
        5: frmMain.AudioEditor1.ConvertSampleType(FQ_22_KHZ, Chan);
        6: frmMain.AudioEditor1.ConvertSampleType(FQ_24_KHZ, Chan);
        7: frmMain.AudioEditor1.ConvertSampleType(FQ_32_KHZ, Chan);
        8: frmMain.AudioEditor1.ConvertSampleType(FQ_44_KHZ, Chan);
        9: frmMain.AudioEditor1.ConvertSampleType(FQ_48_KHZ, Chan);
    end;
end;
//---------------------------------------------------------------------------
end.
