unit Raw;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, NCTAUDIOEDITOR2Lib_TLB;

type
  TfrmRaw = class(TForm)
    OKBtn: 	TButton;
    CancelBtn: 	TButton;
    rgFrequency: TRadioGroup;
    rgChannels: TRadioGroup;
    rgCompression: TRadioGroup;
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmRaw: TfrmRaw;

implementation

uses Main;

{$R *.dfm}
//---------------------------------------------------------------------
procedure TfrmRaw.OKBtnClick(Sender: TObject);
begin
    case (rgFrequency.ItemIndex) of
        0: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_6_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        1: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_8_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        2: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_11_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        3: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_12_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        4: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_16_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        5: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_22_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        6: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_24_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        7: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_32_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        8: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_44_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
        9: frmMain.AudioEditor1.FileFormat.SetFormatRAW(RawTypeCompressConstants(rgCompression.ItemIndex + 1),FQ_48_KHZ,ChannelsConstants(rgChannels.ItemIndex + 1),BPS_16_BIT);
    end;
end;
//---------------------------------------------------------------------------
end.
